(***********************************************************************

                    Mathematica-Compatible Notebook

This notebook can be used on any computer system with Mathematica 4.0,
MathReader 4.0, or any compatible application. The data for the notebook 
starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do one of 
the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing the 
word CacheID, otherwise Mathematica-compatible applications may try to 
use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
***********************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     96597,       2189]*)
(*NotebookOutlinePosition[     97339,       2215]*)
(*  CellTagsIndexPosition[     97295,       2211]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Sonnenuhren", "Title"],

Cell[TextData[{
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "-Programme zum Kursmaterial"
}], "Subtitle"],

Cell["\<\
!!!===> Unten sind die Vorschl\[ADoubleDot]ge zu Modulen zu finden <===!!!\
\>", "Subsubtitle"],

Cell["\<\
von Rolf Wirz  -  Version 15.2.2001  -  Copyright by Rolf Wirz\
\>", "Subsubtitle"],

Cell[CellGroupData[{

Cell["\<\
\"Putzmaschine\" einsetzen
\:f280 Employer la \"machine de nettoyage\"\
\>", "Section",
  Evaluatable->False,
  CellHorizontalScrolling->False,
  AspectRatioFixed->True],

Cell["(* Old Form: Remove[\"Global`@*\"] *)", "Input",
  AspectRatioFixed->True],

Cell[BoxData[
    \(Remove["\<Global`*\>"]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Horizontales Zifferblatt, Ombrix", "Section"],

Cell[BoxData[{
    \( (*Geographische\ Breite\ des\ Standorts\ der\ Uhr, hier\ Biel, BE, 
      CH . \[CurlyPhi]\ erzeugt\ das\ kleine\ griechische\ phi*) \ \
\[IndentingNewLine] (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \(Remove["\<Global`*\>"];\)\), "\
\[IndentingNewLine]", 
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      Altgrad\ *) \ \ \ \ \ \ \ \ \ \(\(\[CurlyPhi] = 
        47.09\) \); \ \(\(g\  = \ 1\) \);\[IndentingNewLine] (*\ 
      MP\ berechnen, \(\(Formel\)\(:\)\)*) \), "\[IndentingNewLine]", 
    \(hour = \ 2\ Pi/24\ \  (*\ Tage\ *) ; \ \ MP[t_, \[CurlyPhi]_] := 
      g\ Tan[t\ hour]/\ 
          Sin[\((90 - \[CurlyPhi])\)\ Degree];\[IndentingNewLine] (*MP\ \
berechnen\ f\[UDoubleDot]r\ die\ Werte\  - 5  h, \(-4\) h,  ... , 
      0  h,  ... , 
      5  h*) \[IndentingNewLine] (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      t\ Stunden\ \((h)\)\ *) ;\ \ \ \ \), "\[IndentingNewLine]", 
    \(\ \(\(tab1[\[CurlyPhi]_] := 
      Table[MP[t, \[CurlyPhi]], {t, \(-5\), 5, 
          1}]\)\(;\)\(\ \ \)\(tab1[\[CurlyPhi]]\)\(;\)\(\[IndentingNewLine]\)\
\( (*Koordinaten\ der\ Punkte\ P\ berechnen\ f\[UDoubleDot]r\ die\ Werte - 
        5  h, \(-4\) h,  ... , 0  h,  ... , 
      5  h*) \)\)\), "\[IndentingNewLine]", 
    \(tab2[\[CurlyPhi]_] := 
      Table[{\(tab1[\[CurlyPhi]]\)[\([n]\)], 
          g/Tan[\((90 - \[CurlyPhi])\)\ Degree]}, {n, 1, 
          Length[\ 
            tab1[\[CurlyPhi]]]}]; \ \ tab2[\[CurlyPhi]];\[IndentingNewLine] \
(*\ Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/
            Tan[\[CurlyPhi]\ Degree]};\) (*Zifferblatt\ \(\(ploten\)\(:\)\)*) \
\), "\[IndentingNewLine]", 
    \(\(p1 = 
        Show[Graphics[
            Table[Line[{ursprung[\[CurlyPhi]], \
\(tab2[\[CurlyPhi]]\)[\([n]\)]}], {n, 1, Length[\ tab1[\[CurlyPhi]]]}]], 
          AspectRatio \[Rule] Automatic];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vertikales Zifferblatt, Ost-West-Wand, Ombrix", "Section"],

Cell[BoxData[{
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      Altgrad\ *) \ \ \ \ \ \ \ \ \ \ \(\[CurlyPhi] = 
        47.09 - 90;\)\), "\[IndentingNewLine]", 
    \(\(hour = \ 2\ Pi/24\ \  (*\ Tage\ *) ;\)\ \[IndentingNewLine] (*\ 
      MP[t, \[CurlyPhi]], \ tab1[\[CurlyPhi]], \ 
      tab2[\[CurlyPhi]]\ definiert\ im\ letzten\ Programm\ *) \), "\
\[IndentingNewLine]", 
    \(\(p2 = 
        Show[Graphics[
            Table[Line[{ursprung[\[CurlyPhi]], \
\(tab2[\[CurlyPhi]]\)[\([n]\)]}], {n, 1, Length[\ tab1[\[CurlyPhi]]]}]], 
          AspectRatio \[Rule] Automatic];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Deklinationslinien, horizontales Zifferblatt, Plot", "Section"],

Cell[BoxData[{
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      Altgrad\ *) \ \ \ \ \ \ \ \ \ \ \(\[CurlyPhi] = 
        47.09;\)\), "\[IndentingNewLine]", 
    \(\(Print[{"\<Test: 180 Degree = \>", \ \ 180\ Degree\  // 
            N}];\)\), "\[IndentingNewLine]", 
    \(g = 1; \ \ \ \ \ \ hour = \ 2\ Pi/24\ \  (*\ 
      Tage\ *) ;\ \ \), "\[IndentingNewLine]", 
    \(\(fi = \ \((90 - Abs[\[CurlyPhi]])\);\)\), "\[IndentingNewLine]", 
    \(d1 = 23.5; d2 = 16; d3 = 8; d4 = 0; d5 = \(-8\); d6 = \(-16\); 
    d7 = \(-23.5\);\[IndentingNewLine] (*\ Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/Tan[\[CurlyPhi]\ Degree]};\)\), "\[IndentingNewLine]", 
    \(\(v[d_, fi_, t_] := 
        g/\((Cos[d\ Degree]\ Cos[t\ hour]\ Sin[fi\ Degree]\  + \ 
                Sin[d\ Degree]\ Cos[fi\ Degree])\)\ {\((Cos[d\ Degree]\ Sin[
                  t\ hour])\), 
            Sign[\[CurlyPhi]] \((\((Cos[d\ Degree]\ Cos[t\ hour]\ Cos[
                        fi\ Degree]\  - \ 
                    Sin[d\ Degree]\ Sin[
                        fi\ Degree])\)\ )\)};\)\), "\[IndentingNewLine]", 
    \(\(p2 = 
        ParametricPlot[
          Evaluate[{v[d1, fi, t], v[d2, fi, t], v[d3, fi, t], v[d4, fi, t], 
              v[d5, fi, t], \[IndentingNewLine]v[d6, fi, t], 
              v[d7, fi, t]}], {t, \(-4.1\), 4.1}, \ 
          AspectRatio \[Rule] Automatic, 
          PlotRange \[Rule] {0, 4}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kombination Deklinationslinien und horizontaler Ombrix", "Section"],

Cell[CellGroupData[{

Cell["Ombrix (auf obige Daten wird zur\[UDoubleDot]ckgegriffen)", "Subsection"],

Cell[BoxData[
    \(\(\(\ \)\(Show[
        Graphics[
          Table[Line[{ursprung[\[CurlyPhi]], \
\(tab2[\[CurlyPhi]]\)[\([n]\)]}], {n, 1, Length[\ tab1[\[CurlyPhi]]]}]], 
        AspectRatio \[Rule] Automatic];\)\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Overlay (auf obige Daten wird zur\[UDoubleDot]ckgegriffen)", \
"Subsection"],

Cell[BoxData[
    \(\(p3 = 
        ParametricPlot[
          Evaluate[{v[d1, fi, t], v[d2, fi, t], v[d3, fi, t], v[d4, fi, t], 
              v[d5, fi, t], \[IndentingNewLine]v[d6, fi, t], 
              v[d7, fi, t]}], {t, \(-4.0\), 4.0}, \ 
          AspectRatio \[Rule] Automatic, 
          PlotRange \[Rule] {\(-1\), 
              4}, \[IndentingNewLine]Epilog -> {Table[
                Line[{ursprung[\[CurlyPhi]], 
                    4 \((\(tab2[\[CurlyPhi]]\)[\([n]\)] - 
                            ursprung[\[CurlyPhi]])\) + 
                      ursprung[\[CurlyPhi]]}], {n, 1, 
                  Length[\ tab1[\[CurlyPhi]]]}]}];\)\)], "Input"],

Cell[BoxData[
    \(ursprung[\[CurlyPhi]]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Kombination Deklinationslinien und horizontaler Ombrix, senkrechte Wand\
\>", "Section"],

Cell[CellGroupData[{

Cell["Deklinationslinien", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \(Remove["\<Global`*\>"];\)\), "\
\[IndentingNewLine]", 
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      Altgrad\ *) \ \ \ \ \ \ \(\[CurlyPhi] = 
        47.09 - 90;\)\), "\[IndentingNewLine]", 
    \(d1 = 23.5\ ; d2 = 16\ ; d3 = 8\ ; d4 = 0\ ; d5 = \(-8\)\ ; 
    d6 = \(-16\)\ ; d7 = \(-23.5\)\ ;\), "\[IndentingNewLine]", 
    \(fi = \ \((90 - Abs[\[CurlyPhi]])\); \ \ \ \ \ \ \ \ g = 
      1;\[IndentingNewLine] (*\ 
      Definitionen\ und\ Rechnungen\ *) \), "\[IndentingNewLine]", 
    \(\(hour = \ 2\ Pi/24\ \  (*\ Tage\ *) ;\)\), "\[IndentingNewLine]", 
    \(\(v[d_, fi_, t_] := 
        g/\((Cos[Sign[\[CurlyPhi]]\ \ d\ Degree]\ Cos[t\ hour]\ Sin[
                    fi\ Degree]\  + \ 
                Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                    fi\ Degree])\)\ {\((Cos[
                  Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[t\ hour])\), 
            Sign[\[CurlyPhi]] \((\((Cos[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                        t\ hour]\ Cos[fi\ Degree]\  - \ 
                    Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[
                        fi\ Degree])\)\ )\)};\)\), "\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[{v[d1, fi, t], v[d2, fi, t], v[d3, fi, t], v[d4, fi, t], 
            v[d5, fi, t], \[IndentingNewLine]v[d6, fi, t], 
            v[d7, fi, t]}], {t, \(-4.1\), 4.1}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {\(-3.3\), 0.2}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Overlay", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \(Remove["\<Global`*\>"];\)\), "\
\[IndentingNewLine]", 
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      Altgrad\ *) \ \ \ \ \ \ \(\[CurlyPhi] = 
        47.09 - 90;\)\), "\[IndentingNewLine]", 
    \(d1 = 23.5\ ; d2 = 16\ ; d3 = 8\ ; d4 = 0\ ; d5 = \(-8\)\ ; 
    d6 = \(-16\)\ ; d7 = \(-23.5\)\ ;\), "\[IndentingNewLine]", 
    \(fi = \ \((90 - Abs[\[CurlyPhi]])\); \ \ \ \ \ \ \ \ g = 
      1;\[IndentingNewLine] (*\ 
      Definitionen\ und\ Rechnungen\ *) \), "\[IndentingNewLine]", 
    \(hour = \ 2\ Pi/24\ \  (*\ Tage\ *) ; \ \ MP[t_, \[CurlyPhi]_] := 
      g\ Tan[t\ hour]/\ 
          Sin[\((90 - \[CurlyPhi])\)\ Degree];\ \), "\[IndentingNewLine]", 
    \(\ tab1[\[CurlyPhi]_] := 
      Table[MP[t, \[CurlyPhi]], {t, \(-5\), 5, 
          1}]; \ \ tab1[\[CurlyPhi]];\), "\[IndentingNewLine]", 
    \(tab2[\[CurlyPhi]_] := 
      Table[{\(tab1[\[CurlyPhi]]\)[\([n]\)], 
          g/Tan[\((90 - \[CurlyPhi])\)\ Degree]}, {n, 1, 
          Length[\ 
            tab1[\[CurlyPhi]]]}]; \ \ tab2[\[CurlyPhi]];\), "\
\[IndentingNewLine]", 
    \(\(v[d_, fi_, t_] := 
        g/\((Cos[Sign[\[CurlyPhi]]\ \ d\ Degree]\ Cos[t\ hour]\ Sin[
                    fi\ Degree]\  + \ 
                Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                    fi\ Degree])\)\ {\((Cos[
                  Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[t\ hour])\), 
            Sign[\[CurlyPhi]] \((\((Cos[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                        t\ hour]\ Cos[fi\ Degree]\  - \ 
                    Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[
                        fi\ Degree])\)\ )\)};\)\[IndentingNewLine] (*\ 
      Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/Tan[\[CurlyPhi]\ Degree]};\)\), "\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[{v[d1, fi, t], v[d2, fi, t], v[d3, fi, t], v[d4, fi, t], 
            v[d5, fi, t], \[IndentingNewLine]v[d6, fi, t], 
            v[d7, fi, t]}], {t, \(-4.4\), 4.4}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {\(-3.3\), 
            1.2}, \[IndentingNewLine]Epilog -> {Table[
              Line[\ {ursprung[\[CurlyPhi]], \ 
                  3.7\ \ \((\(tab2[\[CurlyPhi]]\)[\([n]\)] - 
                          ursprung[\[CurlyPhi]])\) + 
                    ursprung[\[CurlyPhi]]}], {n, 1, 
                Length[\ tab1[\[CurlyPhi]]]}]}];\)\)}], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ausdehnung des Arcus", "Section"],

Cell[BoxData[{
    \(\(a[x_, y_] := 
        180/Pi\ ArcTan[y/x] + 
          90\ Sign[y]\ \((1 - Sign[x])\);\)\), "\[IndentingNewLine]", 
    \(x[t_] := Cos[t]; \ y[t_] := Sin[t];\), "\[IndentingNewLine]", 
    \(\(p4 = Plot[Evaluate[a[x[t], y[t]]], {t, 0, 2  Pi}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Kalenderprogramm", "Section"],

Cell[BoxData[{
    \( (*\ Monatsl\[ADoubleDot]ngen\ *) \[IndentingNewLine]m[n_] := 31; 
    m[2] = 28; m[4] = 30; m[6] = 30; \ m[9] = 30; m[11] = 30; 
    m[13] = 1;\[IndentingNewLine] (*\ 
      Kontrolle\ *) \), "\[IndentingNewLine]", 
    \(\(Print[Sum[m[n], {n, 1, 12}]]\ ;\)\[IndentingNewLine] (*\ 
      Anzahl\ Tage\ seit\ 31.12 . \ 
          letzten\ Jahres\ *) \), "\[IndentingNewLine]", 
    \(\(tage[tag_, mon_] := 
        Sum[m[n], {n, 1, mon}] - m[mon] + tag;\)\), "\[IndentingNewLine]", 
    \({{"\<Test\>", "\<21.3.\>", tage[21, 3]}, {"\<Test\>", "\<29.8.\>", 
        tage[29, 8]}, {"\<Test\>", "\<21.12.\>", 
        tage[21, 12]}, {"\<Test\>", "\<31.12.\>", tage[31, 12]}}\)}], "Input"],

Cell[BoxData[{
    \( (*\ Monatsl\[ADoubleDot]ngen\ *) \ \ \ \(Remove[
        m];\)\ \), "\[IndentingNewLine]", 
    \(m[n_] := 31; m[2] = 28; m[4] = 30; m[6] = 30; \ m[9] = 30; m[11] = 30; 
    m[14] = 28;\), "\[IndentingNewLine]", 
    \( (*\ F\[UDoubleDot]r\ Schaltjahre\ *) \ \ \ \(m[\(-1\)] = 
        1;\)\ \[IndentingNewLine] (*\ 
      Anzahl\ Tage\ seit\ 31.12 . \ 
          letzten\ Jahres\ *) \), "\[IndentingNewLine]", 
    \(\(tage[tag_, mon_] := 
        Sum[m[n], {n, 1, mon}] - m[mon] + 
          tag;\)\[IndentingNewLine] (*Anzahl\ Tage\ seit\ \
Fr\[UDoubleDot]hlingsbeginn*) \), "\[IndentingNewLine]", 
    \(\ \(fpTage[tag_, mon_] := 
        tage[tag, mon] - 
          tage[21, 3];\)\[IndentingNewLine]\[IndentingNewLine] (*\ 
      Test\ des\ \(\(Programms\)\(:\)\)\ *) \[IndentingNewLine]\), "\
\[IndentingNewLine]", 
    \({{"\<Test\>", "\<21.3.\>", fpTage[21, 3]}, {"\<Test\>", "\<29.8.\>", 
        fpTage[29, 8]}, {"\<Test\>", "\<21.12.\>", 
        fpTage[21, 12]}, {"\<Test\>", "\<31.12.\>", 
        fpTage[20, 15]}, \[IndentingNewLine]{"\<Test\>", "\<21.3.\>", 
        tage[21, 3]}, {"\<Test\>", "\<29.8.\>", 
        tage[29, 8]}, {"\<Test\>", "\<21.12.\>", 
        tage[21, 12]}, {"\<Test\>", "\<31.12.\>", tage[31, 12]}}\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Deklinationslinien und Tangenten", "Section"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \(Remove["\<Global`*\>"];\)\), "\
\[IndentingNewLine]", 
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
      Altgrad\ *) \ \ \ \[CurlyPhi] = 47.09; \ 
    fi = \ \((90 - Abs[\[CurlyPhi]])\); \ \ g = 1;\), "\[IndentingNewLine]", 
    \(d[1] = 23.5\ ; d[2] = 16\ ; d[3] = 8\ ; d[4] = 0\ ; d[5] = \(-8\)\ ; 
    d[6] = \(-16\)\ ; d[7] = \(-23.5\)\ ;\), "\[IndentingNewLine]", 
    \(hour\  = \ 2\ Pi\ /24; \ \ \ v[d_, fi_, t_] := 
      g/\((Cos[Sign[\[CurlyPhi]]\ \ d\ Degree]\ Cos[t\ hour]\ Sin[
                  fi\ Degree]\  + \ 
              Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[fi\ Degree])\)\ {\((Cos[
                Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[t\ \ hour])\), 
          Sign[\[CurlyPhi]] \((\((Cos[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                      t\ \ hour]\ Cos[fi\ Degree]\  - \ 
                  Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[
                      fi\ Degree])\)\ )\)};\[IndentingNewLine]\ \ \ \ \ \ \ \ \
\ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \ \
 (*\ \(Achtung!\)\ In\ v[d, fi, 
          t]\ wird\ die\ siderische\ Zeit\ \(benutzt!\)\ *) \), "\
\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[Table[v[d[k], fi, t], {k, 1, 7}]], {t, \(-4.1\), 4.1}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {0, 
            4}, \[IndentingNewLine]Epilog -> {\[IndentingNewLine]Table[
              Line[{v[d[k], fi, \(-3\)], v[d[4], fi, 3]}], {k, 1, 
                7}]\[IndentingNewLine]}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Berechnung der Sonnenuntergangszeit ab Mittag bei gr\[ODoubleDot]sster und \
kleinster Deklination\
\>", "Section"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \(Remove["\<Global`*\>"];\)\), "\
\[IndentingNewLine]", 
    \(hour\  = \ 2\ Pi\ /\ 24; \ \ \ \ \ t[\[Delta]_, \[Phi]_] := 
      ArcCos[\(-Tan[\[Delta]\ Degree]\)\ Tan[\[Phi]\ Degree]]/
        hour;\[IndentingNewLine] (*\ Test\ \  === \(\(>\)\(\ \)\(INPUT\)\), \ 
      Altgrad\ *) \ \), "\[IndentingNewLine]", 
    \({{23.5, t[23.5\ , \ 47.09\ ]}\ , {0, t[0\ , \ 47.09\ ]}\ , {\(-23.5\), 
        t[\(-23.5\)\ \ , \ 47.09\ ]}\ }\)}], "Input"],

Cell[BoxData[
    \(\(Plot[t[x\ \ , \ \ 47.09\ ]\ , {x, \(-23.5\), 23.5}];\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Schiefe Wand in schiefer Richtung: Koordinatentransformation an einen neuen \
Ort\
\>", "Section"],

Cell[CellGroupData[{

Cell["\<\
Umrechnung mit Vektorprodukt und Umrechnen des Vertikalvektors und zur \
Drehung des Outputs in Vertikallage in Einzelschritten \
\>", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \  (*\ \ \(Remove["\<Global`*\>"];\)\ \
*) \[IndentingNewLine] (*\ 
      Umrechnung\ mit\ Vektorprodukt\ *) \[IndentingNewLine] (*\ \
\(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ Altgrad\ *) \ \ \ \ \ a = \ 30\ ; \ 
    b = \ 6\ ; \ \ \[CurlyPhi] = 
      47.09; \ \[CurlyPhi]0 = \[CurlyPhi];\), "\[IndentingNewLine]", 
    \(dek[1] = 23.5\ ; dek[2] = 16\ ; dek[3] = 8\ ; dek[4] = 0\ ; 
    dek[5] = \(-8\)\ ; dek[6] = \(-16\)\ ; 
    dek[7] = \(-23.5\)\ ; \ \ \ \ g = 1;\), "\[IndentingNewLine]", 
    \(u = {Cos[a\ Degree], Sin[a\ Degree], 0}; 
    v = {\(-Sin[a\ Degree]\) Sin[b\ Degree], Cos[a\ Degree] Sin[b\ Degree], 
        Cos[b\ Degree]};\), "\[IndentingNewLine]", 
    \(\(w = Transpose[{Cross[u, v]}];\)\), "\[IndentingNewLine]", 
    \(\(d = \((90 - \[CurlyPhi])\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(dreh = {{1, 0, 0}, {0, Cos[d\ Degree], \(-Sin[d\ Degree]\)}, {0, 
            Sin[d\ Degree], Cos[d\ Degree]}};\)\), "\[IndentingNewLine]", 
    \(r = dreh . w; \ r1 = Flatten[r];\), "\[IndentingNewLine]", 
    \(\(R = {\(-\ r1[\([2]\)]\), \(-r1[\([1]\)]\), 
          r1[\([3]\)]};\)\), "\[IndentingNewLine]", 
    \(\(Delta1 = 
        ArcCos[Sqrt[\((R[\([1]\)]^2 + R[\([2]\)]^2)\)/\((R[\([1]\)]^2 + 
                  R[\([2]\)]^2 + 
                  R[\([3]\)]^2)\)]]\ ;\)\), "\[IndentingNewLine]", 
    \(Delta2 = ArcCos[Sqrt[R[\([1]\)]^2/\((R[\([1]\)]^2 + R[\([2]\)]^2)\)]]; 
    dY = Delta1; dZ = Delta2;\), "\[IndentingNewLine]", 
    \(Delta1Grad = Delta1/Degree // N; \ 
    Delta2Grad = Delta2/\((2\ Pi)\)\ 360 // N;; \ 
    Delta2Std = Delta2/\((2\ Pi)\)\ 24 // N;\), "\[IndentingNewLine]", 
    \(\(Print["\<Delta1Grad = \>", Delta1Grad, "\<, Delta2Grad = \>", 
        Delta2Grad, "\<, Delta2Std = \>", 
        Delta2Std];\)\[IndentingNewLine] (*Umrechnen\ des\ Vertikalvektors\ \
und\ zur\ Drehung\ des\ Outputs\ in\ Vertikallage\ in\ Einzelschritten*) \), \
"\[IndentingNewLine]", 
    \(\(Print["\<Test Matrixprodukt ===> \>", 
        dreh . v \[Equal] 
          Flatten[dreh . Transpose[{v}]]];\)\), "\[IndentingNewLine]", 
    \(\(goAeq[
          vec_] := {\(-\((dreh . vec)\)[\([2]\)]\), \(-\((dreh . 
                  vec)\)[\([1]\)]\), \((dreh . 
                vec)\)[\([3]\)]};\)\), "\[IndentingNewLine]", 
    \(xKS = {1, 0, 0}; yKS = {0, 1, 0}; 
    zKS = {0, 0, 1};\), "\[IndentingNewLine]", 
    \(vAeq = goAeq[v]; uAeq = goAeq[u]; xAeq = goAeq[xKS]; yAeq = goAeq[yKS]; 
    zAeq = goAeq[zKS];\), "\[IndentingNewLine]", 
    \(\(drehZ = {{Cos[\(-dZ\)], \(-Sin[\(-dZ\)]\), 0}, {Sin[\(-dZ\)], 
            Cos[\(-dZ\)], 0}, {0, 0, 1}};\)\), "\[IndentingNewLine]", 
    \(\(drehY = {{Cos[\(-dY\)], 0, \(-Sin[\(-dY\)]\)}, {0, 1, 
            0}, {Sin[\(-dY\)], 0, 
            Cos[\(-dY\)]}};\)\), "\[IndentingNewLine]", 
    \(\(goNew[vec_] := 
        drehZ . \((drehY . vec)\);\)\), "\[IndentingNewLine]", 
    \(xNew = goNew[xKS]; yNew = goNew[yKS]; zNew = goNew[zKS]; 
    Print["\<Kontrolle 1. Koord 0 ===> \>", \ 
      solvU = \(Solve[
              uAeq \[Equal] u1\ xNew\  + \ u2\ yNew\  + \ u3\ zNew, {u1, u2, 
                u3}] // Chop\) // Flatten]\), "\[IndentingNewLine]", 
    \(\(Print["\<Kontrolle 1. Koord 0 ===> \>", \ 
        solvV = \(Solve[
                vAeq \[Equal] v1\ xNew\  + \ v2\ yNew\  + \ v3\ zNew, {v1, 
                  v2, v3}] // Chop\) // 
            Flatten];\)\), "\[IndentingNewLine]", 
    \(\(uRichtung = {u1, u2, u3} /. solvU;\)\), "\[IndentingNewLine]", 
    \(\(vRichtung = {v1, v2, v3} /. solvV;\)\), "\[IndentingNewLine]", 
    \(\(vLen[vec_] := Sqrt[vec . vec];\)\), "\[IndentingNewLine]", 
    \(drehNewArc = ArcCos[vRichtung . zKS/\((vLen[vRichtung]\ vLen[zKS])\)]; 
    drehNewGrad = drehNewArc\ /\((2  Pi)\)\ 360; \ 
    Print["\<Drehung der Vertikalen \>", 
      drehNewGrad];\), "\[IndentingNewLine]", 
    \(\(vv = \(-drehNewArc\);\)\), "\[IndentingNewLine]", 
    \(\(drehPlot = {{Cos[vv], \(-Sin[vv]\)}, {Sin[vv], 
            Cos[vv]}};\)\ \), "\[IndentingNewLine]", 
    \(\(Print["\<drehPlot = \>", \ 
        drehPlot // MatrixForm];\)\[IndentingNewLine] (*\ 
      Plot\ *) \), "\[IndentingNewLine]", 
    \(\[CurlyPhi] = \(-\ Delta1Grad\); \ 
    fi = \ \((90 - Abs[\[CurlyPhi]])\);\), "\[IndentingNewLine]", 
    \(hour = \ 2\ Pi/24\ \  (*\ Tage\ *) ; \ \ MP[t_, \[CurlyPhi]_] := 
      g\ Tan[t\ hour]/\ 
          Sin[\((90 - \[CurlyPhi])\)\ Degree];\), "\[IndentingNewLine]", 
    \(tab1[\[CurlyPhi]_] := 
      Table[MP[t, \[CurlyPhi]], {t, \(-5\), 5, 
          1}]; \ \ tab1[\[CurlyPhi]];\), "\[IndentingNewLine]", 
    \(tab2[\[CurlyPhi]_] := 
      Table[{\(tab1[\[CurlyPhi]]\)[\([n]\)], 
          g/Tan[\((90 - \[CurlyPhi])\)\ Degree]}, {n, 1, 
          Length[\ 
            tab1[\[CurlyPhi]]]}]; \ \ tab2[\[CurlyPhi]];\), "\
\[IndentingNewLine]", 
    \(\ \(vV[h_, fi_, t_] := 
        drehPlot . \ \((g/\((Cos[Sign[\[CurlyPhi]]\ \ h\ Degree]\ Cos[
                        t\ hour]\ Sin[fi\ Degree]\  + \ 
                    Sin[Sign[\[CurlyPhi]]\ h\ Degree]\ Cos[
                        fi\ Degree])\)\ {\((Cos[
                      Sign[\[CurlyPhi]]\ h\ Degree]\ Sin[t\ hour])\), 
                Sign[\[CurlyPhi]] \((\((Cos[
                            Sign[\[CurlyPhi]]\ h\ Degree]\ Cos[t\ hour]\ Cos[
                            fi\ Degree]\  - \ 
                        Sin[Sign[\[CurlyPhi]]\ h\ Degree]\ Sin[
                            fi\ Degree])\)\ )\)})\);\)\[IndentingNewLine] (*\ \
\(vV[h_, fi_, t_] := 
          drehPlot . \ 
                g/\((Cos[d\ Degree]\ Cos[t\ hour]\ Sin[fi\ Degree]\  + \ 
                  Sin[d\ Degree]\ Cos[fi\ Degree])\)\ {\((Cos[d\ Degree]\ Sin[
                    t\ hour])\), 
              Sign[\[CurlyPhi]] \((\((Cos[d\ Degree]\ Cos[t\ hour]\ Cos[
                          fi\ Degree]\  - \ 
                      Sin[d\ Degree]\ Sin[
                          fi\ Degree])\)\ )\)};\)*) \[IndentingNewLine] (*\ 
      Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/Tan[\[CurlyPhi]\ Degree]};\)\), "\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[Table[vV[dek[k], fi, t], {k, 1, 7}]], {t, \(-5\), 5}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {\(-4\), 
            2}\ , \[IndentingNewLine]Epilog -> {Table[
              Line[{drehPlot . ursprung[\[CurlyPhi]], 
                  drehPlot . \((4 \((\ \(tab2[\[CurlyPhi]]\)[\([n]\)] - 
                              ursprung[\[CurlyPhi]])\) + 
                        ursprung[\[CurlyPhi]])\)}], {n, 1, 
                Length[\ tab1[\[CurlyPhi]]]}]}];\)\), "\[IndentingNewLine]", 
    \(tab3[\[CurlyPhi]_] := 
      Table[MP[\((t - Delta2Std)\), \[CurlyPhi]], {t, \(-2\), 7, 
          1}]; \ \ tab3[\[CurlyPhi]];\), "\[IndentingNewLine]", 
    \(tab4[\[CurlyPhi]_] := 
      Table[{\(tab3[\[CurlyPhi]]\)[\([n]\)], 
          g/Tan[\((90 - \[CurlyPhi])\)\ Degree]}, {n, 1, 
          Length[\ 
            tab3[\[CurlyPhi]]]}]; \ \ tab3[\[CurlyPhi]];\), "\
\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[Table[vV[dek[k], fi, t], {k, 1, 7}]], {t, \(-5\), 5}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {\(-4\), 2}\ , \[IndentingNewLine]Epilog \[Rule] 
          Join[Table[
              Line[{drehPlot . ursprung[\[CurlyPhi]], 
                  drehPlot . \((4 \((\ \(tab4[\[CurlyPhi]]\)[\([n]\)] - 
                              ursprung[\[CurlyPhi]])\) + 
                        ursprung[\[CurlyPhi]])\)}], {n, 1, 
                Length[\ 
                  tab3[\[CurlyPhi]]]}], {Line[{drehPlot . 
                    ursprung[\[CurlyPhi]], 
                  5  drehPlot . \(tab2[\[CurlyPhi]]\)[\([6]\)]}]}]];\)\), "\
\[IndentingNewLine]", 
    \(\(Print["\<tab1[\[CurlyPhi]]:= \>", \ \ tab1[\[CurlyPhi]], \ "\< Plot \
von -5 bis 5 Std. versetzte Zeit \>"];\)\), "\[IndentingNewLine]", 
    \(Print["\<tab3[\[CurlyPhi]]:= \>", \ \ tab3[\[CurlyPhi]], \ \ "\< Plot \
von -3-Delta2Std bis 7-Delta2Std korrigierte Zeit.\>"]\)}], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Numerische L\[ODoubleDot]sung der Keplergleichung", "Section"],

Cell[CellGroupData[{

Cell["Keplerfunktion", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \(Remove["\<Global`*\>"];\)\  (*\ 
      Konstanten\ *) \), "\[IndentingNewLine]", 
    \(m0 = \((356.5399 - 360)\)\ Degree; \ e = 0.0167092; \ 
    L0 = \((282.9399 - 360)\)\ Degree; \ 
    Eps\  = \ 23.4393\ Degree;\), "\[IndentingNewLine]", 
    \(L01 = 0.0000470684\ Degree; \ 
    m01 = 0.9856002664\ Degree;\[IndentingNewLine] (*\ 
      Aus\ Kalenderprogramm\ *) \), "\[IndentingNewLine]", 
    \(m[n_] := 31; m[2] = 28; m[4] = 30; m[6] = 30; \ m[9] = 30; m[11] = 30; 
    m[11] = 30; m[14] = 28; \ 
    m[\(-1\)] = 1;\ \[IndentingNewLine] (*\ 
      Anzahl\ Tage\ seit\ 31.12 . \ 
          letzten\ Jahres\ *) \), "\[IndentingNewLine]", 
    \(\(tage[tag_, mon_] := 
        Sum[m[n], {n, 1, mon}] - m[mon] + tag;\)\), "\[IndentingNewLine]", 
    \(day = 21; \ month = 12; \ 
    d0 = tage[day, month]\ ;\ \[IndentingNewLine] (*\ 
      Keplerfunktion\ *) \), "\[IndentingNewLine]", 
    \(\(f[eE_, d_] := \ 
        eE - e\ Sin[eE]\  - m0 - m01\ d;\)\), "\[IndentingNewLine]", 
    \(\(Plot[{f[x, 0], f[x, 50], f[x, 100], f[x, 200], f[x, 300], 
          f[x, d0]}, {x, 0 - 0.1, 2  Pi + 0.1}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Keplergleichung l\[ODoubleDot]sen, Plot", "Subsection"],

Cell[BoxData[{
    \( (*\ Ben\[UDoubleDot]tzt\ Funktion\ f[eE, 
          d]\ des\ letzten\ Programms\ *) \ \ \ \ \ \(eE[d_] := 
        eNS\  /. FindRoot[
            f[eNS, d] \[Equal] 0, {eNS, 3}];\)\), "\[IndentingNewLine]", 
    \(\(tab1 = 
        Table[eE[d], {d, 0, 365.242199, 5}];\)\), "\[IndentingNewLine]", 
    \(\(tab2 = 
        Table[eE[d] - 2  Pi\ d/365.242199, {d, 0, 365.242199, 
            5}];\)\), "\[IndentingNewLine]", 
    \(\(Show[
        GraphicsArray[{{ListPlot[tab1, DisplayFunction \[Rule] Identity], 
              ListPlot[tab2, 
                DisplayFunction \[Rule] Identity]}, \[IndentingNewLine]{Plot[
                eE[d], \ {d, 0, 365.242199}, 
                DisplayFunction \[Rule] Identity], 
              Plot[eE[d] - 2  Pi\ d/365.242199, \ {d, 0, 365.242199}, 
                DisplayFunction \[Rule] Identity]}\[IndentingNewLine]}], 
        DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Zeitgleichung l\[ODoubleDot]sen", "Section"],

Cell[BoxData[{
    \(\[IndentingNewLine] (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ Remove["\<Global`*\>"]\
\[IndentingNewLine] (*\ Konstanten\ *) \), "\[IndentingNewLine]", 
    \(m0 = \((356.5399 - 360)\)\ Degree; \ e = 0.0167092; \ 
    L0 = \((282.9399 - 360)\)\ Degree; \ 
    Eps\  = \ 23.4393\ Degree;\), "\[IndentingNewLine]", 
    \(L01 = 0.0000470684\ Degree; \ 
    m01 = 0.9856002664\ Degree;\[IndentingNewLine] (*\ 
      Keplerfunktion\ *) \), "\[IndentingNewLine]", 
    \(\(f[eE_, d_] := \ 
        eE - e\ Sin[eE]\  - m0 - m01\ d;\)\), "\[IndentingNewLine]", 
    \(\(eE[d_] := 
        eNS\  /. FindRoot[
            f[eNS, d] \[Equal] 0, {eNS, 3}];\)\), "\[IndentingNewLine]", 
    \(\(zG[d_] := 
        L0 + m0 + \((L01 + m01)\) d - 
          ArcTan[Tan[
                2\ ArcTan[Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                  L0 + L01\ d]\ \ Cos[Eps]];\)\[IndentingNewLine] (*\ 
      Die\ Spr\[UDoubleDot]nge\ des\ Arcustangens\ durch\ Stetigmachen\ resp \
. \ Zusammensetzen\ \(\(\[UDoubleDot]berwinden\)\(:\)\)*) \), "\
\[IndentingNewLine]", 
    \(\(updown[
          d_] := \((1 - Sign[\((zG[d] - 1)\)])\)/2\ \ zG[
            d];\)\), "\[IndentingNewLine]", 
    \(\(upup[
          d_] := \((1 + Sign[\((zG[d] - 1)\)])\)/
            2\ \((zG[d] - Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(up[d_] := updown[d] + upup[d];\)\), "\[IndentingNewLine]", 
    \(\(downall[
          d_] := \((1 - Sign[\((zG[d] + 1)\)])\)\ /
            2\ \ \((zG[d] + Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(upall[
          d_] := \((1 + Sign[\((zG[d] + 1)\)])\)/2\ up[
            d];\)\), "\[IndentingNewLine]", 
    \(\(glattZG[
          d_] := \((upall[d] + downall[d])\);\)\), "\[IndentingNewLine]", 
    \(\(zgMinuten[d_] := 
        glattZG[d]/\((2  Pi)\)\ 24\ 60;\)\), "\[IndentingNewLine]", 
    \(\(Plot[zgMinuten[d]\ , {d, \(-191\), 356}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Deklination in Abh\[ADoubleDot]ngigkeit der Tage", "Section"],

Cell[CellGroupData[{

Cell["Direkte L\[ODoubleDot]sung mit der Keplergleichung", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \ Remove["\<Global`*\>"]\
\[IndentingNewLine] (*\ Konstanten\ *) \), "\[IndentingNewLine]", 
    \(m0 = \((356.5399 - 360)\)\ Degree; \ e = 0.0167092; \ 
    L0 = \((282.9399 - 360)\)\ Degree; \ 
    Eps\  = \ 23.4393\ Degree;\), "\[IndentingNewLine]", 
    \(L01 = 0.0000470684\ Degree; \ 
    m01 = 0.9856002664\ Degree;\[IndentingNewLine] (*\ 
      Keplerfunktion\ *) \), "\[IndentingNewLine]", 
    \(\(f[eE_, d_] := \ 
        eE - e\ Sin[eE]\  - m0 - m01\ d;\)\), "\[IndentingNewLine]", 
    \(\(eE[d_] := 
        eNS\  /. FindRoot[
            f[eNS, d] \[Equal] 0, {eNS, 3}];\)\), "\[IndentingNewLine]", 
    \(\(delta[d_] := 
        ArcSin[Sin[
              2\ ArcTan[Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + L0 + 
                L01\ d]\ Sin[Eps]];\)\), "\[IndentingNewLine]", 
    \(\(Plot[delta[d]/\((2  Pi)\) 360, {d, 0, 366}];\)\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["N\[ADoubleDot]herungsl\[ODoubleDot]sung", "Subsection"],

Cell[BoxData[{
    \( (*\ Aus\ Kalenderprogramm\ *) \[IndentingNewLine]m[n_] := 31; 
    m[2] = 28; m[4] = 30; m[6] = 30; \ m[9] = 30; m[11] = 30; m[11] = 30; 
    m[14] = 28; \ 
    m[\(-1\)] = 1;\ \[IndentingNewLine] (*\ 
      Anzahl\ Tage\ seit\ 31.12 . \ 
          letzten\ Jahres\ *) \), "\[IndentingNewLine]", 
    \(\(tage[tag_, mon_] := 
        Sum[m[n], {n, 1, mon}] - m[mon] + tag;\)\), "\[IndentingNewLine]", 
    \(day = 21; \ month = 12; \ 
    d0 = tage[day, month]\ ; \ \ Print[{day, month, 
        d0}];\), "\[IndentingNewLine]", 
    \( (*Deklination\ seit\ \(\(21.3\)\(.\)\), 
      d . h . Fr\[UDoubleDot]hlingsbeginn*) \(delta1[d_] := 
        ArcSin[Sin[m0 + L0 + \((L01 + m01)\)\ \((d)\)]\ Sin[
                  Eps]]/\((2\ Pi)\)\ 360;\)\[IndentingNewLine] (*Anzahl\ Tage\
\ seit\ Fr\[UDoubleDot]hlingsbeginn*) \), "\[IndentingNewLine]", 
    \(\ \(fpTage[tag_, mon_] := 
        tage[tag, mon] - tage[21, 3];\)\), "\[IndentingNewLine]", 
    \(day = 21; \ month = 3; \ d1 = fpTage[day, month]; \ 
    Print[{day, month, d1}];\), "\[IndentingNewLine]", 
    \(\(Plot[delta1[d + tage[20, 3]], {d, 0, 365}];\)\[IndentingNewLine] (*\ 
      Beispiel\ Deklination\ am\ \(\(29.8\)\(.\)\)\ *) \), "\
\[IndentingNewLine]", 
    \(\ \(Print[{"\<Datum \>", 21, 6, "\< Deklination \>", 
          delta[tage[21, 6]]/\((2  Pi)\) 360}];\)\), "\[IndentingNewLine]", 
    \(\ \(Print[{"\<Datum \>", 29, 8, "\< Deklination \>", 
          delta[tage[29, 8]]/\((2  Pi)\) 360}];\)\)}], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Horizontale Sonnenuhr f\[UDoubleDot]r mittlere Zeit, Schlaufen \
f\[UDoubleDot]r mittlere Zeit\
\>", "Section"],

Cell[CellGroupData[{

Cell["Achtung: Braucht starke Maschine!", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \ Remove["\<Global`*\>"]\
\[IndentingNewLine] (*\ Konstanten\ *) \), "\[IndentingNewLine]", 
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(Input\)\)\), \ 
      Altgrad\ *) \ \ \ \[CurlyPhi] = 47.09; \ 
    fi = \ \((90 - Abs[\[CurlyPhi]])\);\), "\[IndentingNewLine]", 
    \(dek[1] = 23.5; dek[2] = 16\ ; dek[3] = 8\ ; dek[4] = 0\ ; 
    dek[5] = \(-8\)\ ; dek[6] = \(-16\)\ ; 
    dek[7] = \(-23.5\); \ \ g = 1;\), "\[IndentingNewLine]", 
    \(\(hour = 2\ Pi\ /24;\)\), "\[IndentingNewLine]", 
    \(m0 = \((356.5399 - 360)\)\ Degree; \ e = 0.0167092; \ 
    L0 = \((282.9399 - 360)\)\ Degree; \ 
    Eps\  = \ 23.4393\ Degree;\), "\[IndentingNewLine]", 
    \(L01 = 0.0000470684\ Degree; \ 
    m01 = 0.9856002664\ Degree;\[IndentingNewLine] (*\ 
      Keplerfunktion\ *) \), "\[IndentingNewLine]", 
    \(\(f[eE_, d_] := \ 
        eE - e\ Sin[eE]\  - m0 - m01\ d;\)\), "\[IndentingNewLine]", 
    \(\(eE[d_] := 
        eNS\  /. FindRoot[
            f[eNS, d] \[Equal] 0, {eNS, 3}];\)\), "\[IndentingNewLine]", 
    \( (*\ Zeitgleichung\ *) \(zG[d_] := 
        L0 + m0 + \((L01 + m01)\) d - 
          ArcTan[Tan[
                2\ ArcTan[Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                  L0 + L01\ d]\ \ Cos[Eps]];\)\[IndentingNewLine] (*\ 
      Die\ Spr\[UDoubleDot]nge\ des\ Arcustangens\ durch\ Stetigmachen\ resp \
. \ Zusammensetzen\ \(\(\[UDoubleDot]berwinden\)\(:\)\)*) \), "\
\[IndentingNewLine]", 
    \(\(updown[
          d_] := \((1 - Sign[\((zG[d] - 1)\)])\)/2\ \ zG[
            d];\)\), "\[IndentingNewLine]", 
    \(\(upup[
          d_] := \((1 + Sign[\((zG[d] - 1)\)])\)/
            2\ \((zG[d] - Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(up[d_] := updown[d] + upup[d];\)\), "\[IndentingNewLine]", 
    \(\(downall[
          d_] := \((1 - Sign[\((zG[d] + 1)\)])\)\ /
            2\ \ \((zG[d] + Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(upall[
          d_] := \((1 + Sign[\((zG[d] + 1)\)])\)/2\ up[
            d];\)\), "\[IndentingNewLine]", 
    \(\(glattZG[
          d_] := \((upall[d] + downall[d])\);\)\), "\[IndentingNewLine]", 
    \(\(zgStd[d_] := glattZG[d]/\((2  Pi)\)\ 24\ ;\)\[IndentingNewLine] (*\ 
      Gnomonische\ Projektion\ *) \), "\[IndentingNewLine]", 
    \(\(v[d_, fi_, t_] := 
        g/\((Cos[Sign[\[CurlyPhi]]\ \ d\ Degree]\ Cos[t\ hour]\ Sin[
                    fi\ Degree]\  + \ 
                Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                    fi\ Degree])\)\ {\((Cos[
                  Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[t\ hour])\), 
            Sign[\[CurlyPhi]] \((\((Cos[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                        t\ hour]\ Cos[fi\ Degree]\  - \ 
                    Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[
                        fi\ Degree])\)\ )\)};\)\[IndentingNewLine] (*\ 
      Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/Tan[\[CurlyPhi]\ Degree]};\)\), "\[IndentingNewLine]", 
    \( (*\ Plot\ *) \ \(parPlot = 
        ParametricPlot[
          Evaluate[Table[v[dek[k], fi, t], {k, 1, 7}]], {t, \(-3.5\), 3.5}, \ 
          AspectRatio \[Rule] Automatic, 
          PlotRange \[Rule] {\(-1\), 
              4}, \[IndentingNewLine]Epilog -> {Table[
                Line[{v[dek[7], fi, k], ursprung[\[CurlyPhi]]}], {k, \(-3\), 
                  3, 1}]}, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(tabd[n_] := 
        Table[v[ArcSin[
                Sin[2\ ArcTan[
                          Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                      L0 + L01\ d]\ Sin[Eps]]\ /Degree, 
            fi, \((n - zgStd[d])\)], {d, \(-100\), 
            300}];\)\), "\[IndentingNewLine]", 
    \(\(listp[n_] := 
        ListPlot[tabd[n], PlotJoined \[Rule] True, \ 
          AspectRatio \[Rule] Automatic, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(listp0 = 
        Show[listp[3], listp[2], listp[1], listp[0], listp[\(-1\)], 
          listp[\(-2\)], listp[\(-3\)], 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(Show[parPlot, listp0, 
        DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Vertikale Sonnenuhr f\[UDoubleDot]r mittlere Zeit, Schlaufen f\[UDoubleDot]r \
mittlere Zeit\
\>", "Section"],

Cell[CellGroupData[{

Cell["Achtung: Braucht starke Maschine!", "Subsection"],

Cell[BoxData[{
    \( (*\ "\<Putzmaschine\>"\ *) \  (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \ \ \ \ Remove["\<Global`*\>"]\
\[IndentingNewLine] (*\ Konstanten\ *) \), "\[IndentingNewLine]", 
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(Input\)\)\), \ 
      Altgrad\ *) \ \ \ \[CurlyPhi] = 47.09 - 90; \ 
    fi = \ \((90 - Abs[\[CurlyPhi]])\);\), "\[IndentingNewLine]", 
    \(dek[1] = 23.5; dek[2] = 16\ ; dek[3] = 8\ ; dek[4] = 0\ ; 
    dek[5] = \(-8\)\ ; dek[6] = \(-16\)\ ; 
    dek[7] = \(-23.5\); \ \ g = 1;\), "\[IndentingNewLine]", 
    \(\(hour = 2\ Pi\ /24;\)\), "\[IndentingNewLine]", 
    \(m0 = \((356.5399 - 360)\)\ Degree; \ e = 0.0167092; \ 
    L0 = \((282.9399 - 360)\)\ Degree; \ 
    Eps\  = \ 23.4393\ Degree;\), "\[IndentingNewLine]", 
    \(L01 = 0.0000470684\ Degree; \ 
    m01 = 0.9856002664\ Degree;\[IndentingNewLine] (*\ 
      Keplerfunktion\ *) \), "\[IndentingNewLine]", 
    \(\(f[eE_, d_] := \ 
        eE - e\ Sin[eE]\  - m0 - m01\ d;\)\), "\[IndentingNewLine]", 
    \(\(eE[d_] := 
        eNS\  /. FindRoot[
            f[eNS, d] \[Equal] 0, {eNS, 3}];\)\), "\[IndentingNewLine]", 
    \( (*\ Zeitgleichung\ *) \(zG[d_] := 
        L0 + m0 + \((L01 + m01)\) d - 
          ArcTan[Tan[
                2\ ArcTan[Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                  L0 + L01\ d]\ \ Cos[Eps]];\)\[IndentingNewLine] (*\ 
      Die\ Spr\[UDoubleDot]nge\ des\ Arcustangens\ durch\ Stetigmachen\ resp \
. \ Zusammensetzen\ \(\(\[UDoubleDot]berwinden\)\(:\)\)*) \), "\
\[IndentingNewLine]", 
    \(\(updown[
          d_] := \((1 - Sign[\((zG[d] - 1)\)])\)/2\ \ zG[
            d];\)\), "\[IndentingNewLine]", 
    \(\(upup[
          d_] := \((1 + Sign[\((zG[d] - 1)\)])\)/
            2\ \((zG[d] - Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(up[d_] := updown[d] + upup[d];\)\), "\[IndentingNewLine]", 
    \(\(downall[
          d_] := \((1 - Sign[\((zG[d] + 1)\)])\)\ /
            2\ \ \((zG[d] + Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(upall[
          d_] := \((1 + Sign[\((zG[d] + 1)\)])\)/2\ up[
            d];\)\), "\[IndentingNewLine]", 
    \(\(glattZG[
          d_] := \((upall[d] + downall[d])\);\)\), "\[IndentingNewLine]", 
    \(\(zgStd[d_] := glattZG[d]/\((2  Pi)\)\ 24\ ;\)\[IndentingNewLine] (*\ 
      Gnomonische\ Projektion\ *) \), "\[IndentingNewLine]", 
    \(\(v[d_, fi_, t_] := 
        g/\((Cos[Sign[\[CurlyPhi]]\ \ d\ Degree]\ Cos[t\ hour]\ Sin[
                    fi\ Degree]\  + \ 
                Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                    fi\ Degree])\)\ {\((Cos[
                  Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[t\ hour])\), 
            Sign[\[CurlyPhi]] \((\((Cos[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                        t\ hour]\ Cos[fi\ Degree]\  - \ 
                    Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[
                        fi\ Degree])\)\ )\)};\)\[IndentingNewLine] (*\ 
      Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/Tan[\[CurlyPhi]\ Degree]};\)\), "\[IndentingNewLine]", 
    \( (*\ Plot\ *) \ \(parPlot = 
        ParametricPlot[
          Evaluate[Table[v[dek[k], fi, t], {k, 1, 7}]], {t, \(-3.5\), 3.5}, \ 
          AspectRatio \[Rule] Automatic, 
          PlotRange \[Rule] {\(-4\), 
              1.2}, \[IndentingNewLine]Epilog -> {Table[
                Line[{\ v[dek[1], fi, k], 
                    ursprung[\[CurlyPhi]]}], {k, \(-3\), 3, 1}]}, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(tabd[n_] := 
        Table[v[ArcSin[
                Sin[2\ ArcTan[
                          Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                      L0 + L01\ d]\ Sin[Eps]]\ /Degree, 
            fi, \((n - zgStd[d])\)], {d, \(-100\), 
            300}];\)\), "\[IndentingNewLine]", 
    \(\(listp[n_] := 
        ListPlot[tabd[n], PlotJoined \[Rule] True, \ 
          AspectRatio \[Rule] Automatic, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(listp0 = 
        Show[listp[3], listp[2], listp[1], listp[0], listp[\(-1\)], 
          listp[\(-2\)], listp[\(-3\)], 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(Show[parPlot, listp0, 
        DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vorschlag f\[UDoubleDot]r Module", "Title"],

Cell[CellGroupData[{

Cell["Putz: Alle Daten l\[ODoubleDot]schen, Neubeginn", "Subsection"],

Cell[CellGroupData[{

Cell["Programm  (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(\(\( (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \)\(\ \ \ \
\)\(\[IndentingNewLine]\)\(putz = 
        Remove["\<Global`*\>"];\)\( (*\ "\<Putzmaschine\>"\ *) \)\(\ \)\)\)], \
"Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
dataEntry:
Stellt notwendige Parameter und globale Variablen zur Verf\[UDoubleDot]gung\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION und INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(\(\( (*\ Standartwerte\ \[CurlyPhi]\ von\ Biel\ in\ Altgrad\ , \ 
      g\  = \ 1\ \
*) \)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\(dataEntryFixData = 
        Module[{}, \[IndentingNewLine]m0 = \((356.5399 - 
                  360)\)\ Degree; \ \[IndentingNewLine]e = 
            0.0167092; \[IndentingNewLine]L0 = \((282.9399 - 
                  360)\)\ Degree; \ \[IndentingNewLine]Eps\  = \ 
            23.4393\ Degree; \[IndentingNewLine]L01 = 
            0.0000470684\ Degree; \[IndentingNewLine]m01 = 
            0.9856002664\ Degree; \[IndentingNewLine]Print["\<OUT-Variabeln: \
m0, e, L0, Eps, L01, m01\>"];];\)\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiel", "Subsubsection"],

Cell[BoxData[
    \(m0\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[{
    \(\(dataEntry[TAKE\[CurlyPhi]_, TAKEg_, jahr_] := 
        Module[{\ \[CurlyPhi]0 = 47.09, \ g0 = \ 1, 
            intYeahr}, \[IndentingNewLine]dataEntryFixData; \
\[IndentingNewLine] (*\ 
            MP\ berechnen, \(\(Formel\)\(:\)\)*) \[IndentingNewLine]\
\[CurlyPhi] = \[CurlyPhi]0 \((1 - \ Sign[TAKE\[CurlyPhi]])\) \((1 + \ 
                    Sign[TAKE\[CurlyPhi]])\) + 
              TAKE\[CurlyPhi]; \[IndentingNewLine]Print["\<\[CurlyPhi] = \>", \
\[CurlyPhi]]; \[IndentingNewLine]\[CurlyPhi]Vert = \
\(-Sign[\[CurlyPhi]]\)*\((90 - Abs[\[CurlyPhi]])\); \[IndentingNewLine]g = 
            g0 \((1 - \ Sign[TAKEg])\) \((1 + \ Sign[TAKEg])\) + 
              TAKEg; \[IndentingNewLine]Print["\<g = \>", 
            g]; \[IndentingNewLine] (*\ 
            Stunden\  === \(\(>\)\(\ \)\(Rad - 
                  Umrechnungsfaktor\)\)\ *) \[IndentingNewLine]hour = \ 
            2\ Pi/24\ \ ; \ \[IndentingNewLine] (*\ 
            Jahrestage\ rechnen\ *) \[IndentingNewLine]jahresTage[
              intYeahr_] := \ 
            365\ \ Mod[intYeahr, 2000] + 
              Floor[Mod[\ Mod[intYeahr, 2000], 2000]/
                  4]; \[IndentingNewLine]jahresTage[
            jahr]; \[IndentingNewLine]jahrOut = 
            jahr; \[IndentingNewLine]Print["\<OUT-Variabeln: \[CurlyPhi], \
\[CurlyPhi]Vert, g, hour, jahresTage, jahrOut\>"];\ ];\)\), "\
\[IndentingNewLine]", 
    \(dataEntry[0, 0, 0]\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(dataEntry[30, 50, 12]\)], "Input"],

Cell[BoxData[
    \(dataEntry[0, 0, 0]; \[CurlyPhi]Vert\)], "Input"],

Cell[BoxData[
    \({g, \[CurlyPhi]}\)], "Input"],

Cell[BoxData[
    \(\[CurlyPhi]Vert\)], "Input"],

Cell[BoxData[
    \({jahresTage[12], jahresTage[2012]}\)], "Input"],

Cell[BoxData[
    \(dataEntry[30, 50, 01]; jahrOut\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
ombrixGzentr, ombrixGzentrDeltaStd: 
Zeichnet Ombrix-Zifferblatt f\[UDoubleDot]r eingegebene Stunden, benutzt \
dataEntry.
Benutzte Module m\[UDoubleDot]ssen allgemein initialisiert sein!\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(\(\( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ hMin = \ 1. \ Stunde, \ 
      hMax = Letzte\ Stunde\ \((h)\)\ *) \)\(\[IndentingNewLine]\)\( (*\ 
      Beispiel : \ Werte\ hMin = \ \(-5\) h, \(-4\) h,  ... , 0  h,  ... , \ 
      hMax = 5  
          h\ *) \)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\(\
ombrixGzentr[hMin_, hMax_] := 
        Module[{tVar, \[CurlyPhi]Var}, \[IndentingNewLine]Print["\<Der Modul \
dataEntry wird hier vorausgesetzt!\>"]; \[IndentingNewLine] (*\ 
            Ost - West - \(\(Koordinate\)\(:\)\)*) \[IndentingNewLine]MP[
              tVar_, \[CurlyPhi]Var_] := 
            g\ Tan[tVar\ \ hour]/\ 
                Sin[\((90 - \[CurlyPhi]Var)\)\ Degree]; \[IndentingNewLine] \
(*\ Ursprung\ versetzt, \ 
            Nord - S\[UDoubleDot]d - 
              Koordinate\ *) \[IndentingNewLine]ursprung[\[CurlyPhi]Var_] := \
{\ 0, \(-g\)/Tan[\[CurlyPhi]Var\ Degree]}; \[IndentingNewLine] (*\ 
            Tabelle\ der\ Plotpunkte\ rechnen\ \
*) \[IndentingNewLine]tabPlotPunkte[\[CurlyPhi]Var_] := 
            Table[{MP[tVar, \[CurlyPhi]Var], 
                g/Tan[\((90 - \[CurlyPhi]Var)\)\ Degree]}, {tVar, hMin, hMax, 
                1}]; \ \[IndentingNewLine]Print["\<tabPlotPunkte = \>", 
            tabPlotPunkte[\[CurlyPhi]] // N]; \[IndentingNewLine] (*\ 
            OmbrixPlot\ machen\  === \(\(>\)\(\ \)\(Ombrix - 
                  Zifferblatt\)\)\ *) \[IndentingNewLine]ombixPlot = 
            Show[Graphics[
                Table[Line[{ursprung[\[CurlyPhi]], \
\(tabPlotPunkte[\[CurlyPhi]]\)[\([n]\)]}], {n, 1, 
                    Length[tabPlotPunkte[\[CurlyPhi]]]}]], 
              AspectRatio \[Rule] 
                Automatic]; \ \[IndentingNewLine]Print["\<OUT-Funktionen: MP, \
ursprung, tabPlotPunkte, ombixPlot\>"];];\)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ hMin = \ 1. \ Stunde, \ 
      hMax = Letzte\ Stunde\ \((h)\)\ *) \)\(\[IndentingNewLine]\)\( (*\ 
      Beispiel : \ Werte\ hMin = \ \(-5\) h, \(-4\) h,  ... , 0  h,  ... , \ 
      hMax = 5  
          h\ *) \)\(\[IndentingNewLine]\)\(\[IndentingNewLine]\)\(\
ombrixGzentrDeltaStd[hMin_, hMax_, deltaStd_] := 
        Module[{tVar, \[CurlyPhi]Var, 
            diff}, \[IndentingNewLine]Print["\<Der Modul dataEntry wird hier \
vorausgesetzt!\>"]; \[IndentingNewLine] (*\ 
            Ost - West - \(\(Koordinate\)\(:\)\)*) \[IndentingNewLine]MP[
              tVar_, \[CurlyPhi]Var_, diff_] := 
            g\ Tan[\((tVar - diff)\)\ hour]/\ 
                Sin[\((90 - \[CurlyPhi]Var)\)\ Degree]; \[IndentingNewLine] \
(*\ Ursprung\ versetzt, \ 
            Nord - S\[UDoubleDot]d - 
              Koordinate\ *) \[IndentingNewLine]ursprung[\[CurlyPhi]Var_] := \
{\ 0, \(-g\)/Tan[\[CurlyPhi]Var\ Degree]}; \[IndentingNewLine] (*\ 
            Tabelle\ der\ Plotpunkte\ rechnen\ \
*) \[IndentingNewLine]tabPlotPunkte[\[CurlyPhi]Var_] := 
            Table[{MP[tVar, \[CurlyPhi]Var, deltaStd], 
                g/Tan[\((90 - \[CurlyPhi]Var)\)\ Degree]}, {tVar, hMin, hMax, 
                1}]; \ \[IndentingNewLine]Print["\<tabPlotPunkte = \>", 
            tabPlotPunkte[\[CurlyPhi]] // N]; \[IndentingNewLine] (*\ 
            OmbrixPlot\ machen\  === \(\(>\)\(\ \)\(Ombrix - 
                  Zifferblatt\)\)\ *) \[IndentingNewLine]ombixPlot = 
            Show[Graphics[
                Table[Line[{ursprung[\[CurlyPhi]], \
\(tabPlotPunkte[\[CurlyPhi]]\)[\([n]\)]}], {n, 1, 
                    Length[tabPlotPunkte[\[CurlyPhi]]]}]], 
              AspectRatio \[Rule] 
                Automatic]; \ \ \[IndentingNewLine]Print["\<OUT-Funktionen: \
MP, ursprung, tabPlotPunkte, ombixPlot\>"];];\)\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(dataEntry[0, 0]; ombrixGzentr[\(-4\), 4]\)], "Input"],

Cell[BoxData[
    \(dataEntry[0, 0]; ombrixGzentr[\(-1\), 5]\)], "Input"],

Cell[BoxData[
    \(ombrixGzentrDeltaStd[\(-3\), 4, 2]\)], "Input"],

Cell[BoxData[
    \(dataEntry[\[CurlyPhi] - 90, 1]; ombrixGzentr[\(-5\), 5]\)], "Input"],

Cell[BoxData[
    \(ombrixGzentrDeltaStd[\(-3\), 4, 2]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Kalendermodul:
Berechnet Anzahl Tage des eingegebenen Datums ab Jahresbeginn oder Fr\
\[UDoubleDot]hlingsbeginn\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(\(\( (*\ 
      tage\  === \(\(>\)\(\ \)\(Berechnung\ der\ Anzahl\ Tage\ seit\ 31.12 . \
\ letzten\ Jahres\)\)\ *) \)\(\[IndentingNewLine]\)\( (*\ 
      fpTage\  === \(\(>\)\(\ \)\(Berechnung\ der\ Anzahl\ Tage\ seit\ \
letztem\ Fr\[UDoubleDot]hlingsbeginn\)\), \ \(\(Jan\)\(.\)\)\  = \ 
        13. \ \(\(Mt\)\(.\)\), \ \(\(Feb\)\(.\)\)\  = \ 
        14. \ \(\(Mt\)\(.\)\)\ *) \)\(\[IndentingNewLine]\)\( (*\ tageS, \ 
      fpTageS\  === \(\(>\)\(\ \)\(f\[UDoubleDot]r\ Schaltjahre\)\), \ 
      ein\ Tag\ mehr\ \((ein\ Tag\ mehr)\)\ *) \)\(\[IndentingNewLine]\)\(\
\[IndentingNewLine]\)\(kalender[jour_, mois_] := 
      Module[{m, n}, \ \[IndentingNewLine]m[n_] := 31; m[2] = 28; m[4] = 30; 
        m[6] = 30; \ m[9] = 30; m[11] = 30; m[14] = 28; 
        m[0] = 0; \[IndentingNewLine]tage[day_, mon_] = 
          Sum[m[n], {n, 1, mon}] - m[mon] + day; \[IndentingNewLine]tageSJ[
            day_, mon_] = 
          If[mon < 3, tage[day, mon], 
            tage[day, mon] + 1]; \[IndentingNewLine]fpTage[day_, mon_] = 
          tage[day, mon] - tage[21, 3]; \[IndentingNewLine]fpTageSJ[day_, 
            mon_] = tage[day, mon] - tage[21, 3] + 
            1; \[IndentingNewLine]Print["\<   tage[jour,mois] = \>", \ 
          tage[jour, mois], \[IndentingNewLine]"\<   tageSJ[jour,mois] = \>", 
          tageSJ[jour, 
            mois], \[IndentingNewLine]"\<   fpTage[jour,mois] = \>", 
          fpTage[jour, 
            mois], \[IndentingNewLine]"\<   fpTageSJ[jour,mois] = \>", 
          fpTageSJ[jour, 
            mois]\ ]; \ \ \[IndentingNewLine]Print["\<OUT-Funktionen: tage \
,tageSJ, fpTage, fpTageSJ\>"]; \[IndentingNewLine]Print["\<Funktioniert f\
\[UDoubleDot]r positiv eingegebene Werte\>"];]\)\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(kalender[21, 3]\)], "Input"],

Cell[BoxData[
    \(\(\(\ \)\({tage[21, 3]\ , tage[6, 5], tage[1, 1]}\)\)\)], "Input"],

Cell[BoxData[
    \({tage[31, 0], tage[30, 0], tage[1, 0], tage[0, 0]}\)], "Input"],

Cell[BoxData[
    \({{"\<Test\>", "\<21.3.\>", 
        kalender[21, 3]}, \[IndentingNewLine]{"\<Test\>", "\<29.8.\>", 
        kalender[29, 8]}, \[IndentingNewLine]{"\<Test\>", "\<21.12.\>", 
        kalender[21, 12]}, {"\<Test\>", "\<31.12.\>", 
        kalender[20, 15]}, \[IndentingNewLine]{"\<Test\>", "\<21.3.\>", 
        tage[21, 3]}, \[IndentingNewLine]{"\<Test\>", "\<29.8.\>", 
        tage[29, 8]}, \[IndentingNewLine]{"\<Test\>", "\<21.12.\>", 
        tage[21, 12]}, \[IndentingNewLine]{"\<Test\>", "\<31.12.\>", 
        tage[31, 12]}}\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
zeitGleichung:
Berechnet Zeitgleichung und stellt Funktionen zur Verf\[UDoubleDot]gung:
\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(zeitGleichung[plotYes1_, jahr_] := 
      Module[{disp}, \[IndentingNewLine] (*\ \(putz;\)\ \
*) \[IndentingNewLine] (*\ 
          Jahr\ auf\ 2\ Stellen\ angeben . \ Z . B . \ 
              00\ statt\ 2000\ *) \[IndentingNewLine]dataEntry[0, 0, 
          jahr]; \[IndentingNewLine] (*\ 
          Keplerfunktion\ *) \[IndentingNewLine]f[eE_, d_] := \ 
          eE - e\ Sin[eE]\  - m0 - m01\ jahresTage[jahr] - 
            m01\ \ \ d; \[IndentingNewLine]eE[d_] := 
          eNS\  /. FindRoot[
              f[eNS, d] \[Equal] 0, {eNS, 3}]; \[IndentingNewLine]zG[d_] := 
          L0 + m0 + \((L01 + m01)\) d\ \  + \ 
            Mod[\((L01 + m01)\) jahresTage[jahr], \[IndentingNewLine]360] - 
            ArcTan[Tan[
                  2\ ArcTan[Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                    L0 + L01\ d + \ L01\ jahresTage[jahr]]\ \ Cos[Eps]] - \ 
            jahrOut\ 2\ Pi; \[IndentingNewLine] (*\ 
          Die\ Spr\[UDoubleDot]nge\ des\ Arcustangens\ durch\ Stetigmachen\ \
resp . \ Zusammensetzen\ \(\(\[UDoubleDot]berwinden\)\(:\)\)\
*) \[IndentingNewLine]updown[
            d_] := \((1 - Sign[\((zG[d] - 1)\)])\)/2\ \ zG[
              d]; \[IndentingNewLine]upup[
            d_] := \((1 + Sign[\((zG[d] - 1)\)])\)/
              2\ \((zG[d] - Pi)\); \[IndentingNewLine]up[d_] := 
          updown[d] + upup[d]; \[IndentingNewLine]downall[
            d_] := \((1 - Sign[\((zG[d] + 1)\)])\)\ /
              2\ \ \((zG[d] + Pi)\); \[IndentingNewLine]upall[
            d_] := \((1 + Sign[\((zG[d] + 1)\)])\)/2\ up[
              d]; \[IndentingNewLine]glattZG[
            d_] := \((upall[d] + downall[d])\); \[IndentingNewLine]zgStd[d_] := 
          glattZG[d]/\((2  Pi)\)\ 24\ ; \[IndentingNewLine]zgMinuten[d_] := 
          glattZG[d]/\((2  Pi)\)\ 24\ 60; \[IndentingNewLine]If[
          plotYes1 == 1, Goto[erstens], 
          Goto[zweitens]]; \[IndentingNewLine]Label[erstens]; 
        Plot[zgMinuten[day]\ , {day, \(-191\), 356}]; 
        Goto[drittens]; \[IndentingNewLine]Label[zweitens]; 
        Print["\<Kein Plot, nur Initialisierung\>"]; \[IndentingNewLine]Label[
          drittens]; \ \ \[IndentingNewLine]Print["\<OUT-Funktionen: f, eE, \
zG, updown, upup, up, downall, upall, glattZG, zgStd, zgMinuten\>"]; \ \
\[IndentingNewLine]Print["\<Jahr auf 2 Stellen angeben. Z.B. 00 statt \
2000\>"];]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(\(?eE\)\)], "Input"],

Cell[BoxData[
    \(zeitGleichung[2, 01]\)], "Input"],

Cell[BoxData[
    \(zeitGleichung[1, \ 01]\)], "Input"],

Cell[BoxData[
    \(zeitGleichung[1, \ 00]\)], "Input"],

Cell[BoxData[
    \(zeitGleichung[2, \ 01]; zgStd[5]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
deklin:
Deklinationsbestimmung zum Datum in Altgrad,
setzt dataEntry, zeitGleichung, kalender (und tage) voraus.
Benutzte Module m\[UDoubleDot]ssen allgemein initialisiert sein!\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(\(deklin[myTag_, myMonat_] := 
        Module[{dayNow}, \[IndentingNewLine]dayNow = 
            tage[myTag, myMonat]; \[IndentingNewLine]deltaAngle[dd_] := 
            360/\((2\ Pi)\)\ ArcSin[
                Sin[2\ ArcTan[
                          Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[
                              Evaluate[eE[dd]]/2\ ]] + L0 + L01\ dd]\ \ Sin[
                    Eps]]; \[IndentingNewLine]Print["\<OUT-Funktionen: \
deltaAngle = \>", 
            deltaAngle[
              tage[myTag, myMonat]]\ ]; \[IndentingNewLine]deltaAngle[
            dayNow]\ ];\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(\(\( (*\ Initialisierung\ *) \)\(\[IndentingNewLine]\)\(dataEntry[0, 
      0]; zeitGleichung[0, 01]; kalender[29, 8]; tage[29, 8]; 
    deklin[0, 0]\)\)\)], "Input"],

Cell[BoxData[
    \(tage[1, 1]\)], "Input"],

Cell[BoxData[
    \(deltaAngle[0]\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ Kontrollen\ *) \)\(\ \ \ \ \)\(?eE\)\)\)], "Input"],

Cell[BoxData[
    \(e\)], "Input"],

Cell[BoxData[
    \(\(\(Plot[
        deltaAngle[dd]/\((2  Pi)\) 360, {dd, 0, 365}];\)\(\ \)\)\)], "Input"],

Cell[BoxData[
    \(\(\( (*\ Test\ *) \)\(\ \ \ \ \)\({deklin[28, 8], deklin[21, 12], 
      deklin[17.805, 3], deklin[21, 3]}\)\)\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
dekPlot:
Plot von n Deklinationslinien, setzt deklin (und somit dataEntry, \
zeitGleichung, kalender (und tage)) voraus.
Benutzte Module m\[UDoubleDot]ssen allgemein initialisiert sein!\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(\(dekPlot[dataListe_, horVert_, tMin_, tMax_, yRangeMin_, yRangeMax_, 
          plotYes1_] := 
        Module[{fi}, \[IndentingNewLine]\ \ If[horVert \[Equal] 1, 
            fi = \[CurlyPhi], \ 
            If[horVert \[Equal] 0, fi = \[CurlyPhi]Vert, 
              Print["\<Vertikal: horVert=0 und horizontal horVert = 1 \
!!!!\>"]]]; \[IndentingNewLine] (*\ 
            Definitionen\ und\ Rechnungen\ *) \[IndentingNewLine]v[d_, fi_, 
              t_] := g/\((Cos[Sign[\[CurlyPhi]]\ \ d\ Degree]\ Cos[
                        t\ hour]\ Sin[fi\ Degree]\  + \ 
                    Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[
                        fi\ Degree])\)\ {\((Cos[
                      Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[t\ hour])\), 
                Sign[\[CurlyPhi]] \((\((Cos[
                            Sign[\[CurlyPhi]]\ d\ Degree]\ Cos[t\ hour]\ Cos[
                            fi\ Degree]\  - \ 
                        Sin[Sign[\[CurlyPhi]]\ d\ Degree]\ Sin[
                            fi\ Degree])\)\ )\)}; \[IndentingNewLine]If[
            plotYes1 == 1, Goto[erstens], 
            Goto[zweitens]]; \[IndentingNewLine]Label[erstens]; 
          ParametricPlot[
            Evaluate[
              Table[v[dataListe[\([j]\)], fi, t], {j, 1, 
                  Length[dataListe]}]], {t, tMin, tMax}, \ 
            AspectRatio \[Rule] Automatic, 
            PlotRange \[Rule] {yRangeMin, 
                yRangeMax}]; \[IndentingNewLine]Print["\<Goto ist verwendet \
worden\>"]; \[IndentingNewLine]Goto[drittens]; \[IndentingNewLine]Label[
            zweitens]; 
          Print["\<Kein Plot, nur Initialisierung von v[d,fi,t]!\>"]; \
\[IndentingNewLine]Print["\<Goto ist verwendet worden\>"]; \
\[IndentingNewLine]Label[
            drittens]; \[IndentingNewLine]Print["\<OUT-Funktionen: v\>"];\ ];\
\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiel (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[{
    \( (*\ \(===\)\(\(>\)\(\ \)\(Input\ von\ Hand\)\)\ *) \[IndentingNewLine]\
\ n = 8; d[1] = deklin[20, 12]; d[2] = deklin[1, 2]; d[3] = deklin[1, 3]; 
    d[4] = deklin[17.805, 3]; d[5] = deklin[1, 5]; d[6] = deklin[1, 6]; 
    d[7] = deklin[21, 6]; 
    d[8] = deklin[29, 
        8];\[IndentingNewLine] (*\ \(===\)\(\(>\)\(\ \)\(Listengenerierung\ \
mit\ dem\ Input\)\)\ *) \), "\[IndentingNewLine]", 
    \(\(dlist[n_] := Table[d[k], {k, 1, n}];\)\), "\[IndentingNewLine]", 
    \(dlist[n]\)}], "Input"],

Cell[BoxData[
    \( (*\ \(===\)\(\(>\)\(\ \)\(Plot\ der\ Liste\)\)\ *) \)], "Input"],

Cell[BoxData[
    \(dekPlot[dlist[n], 1, \(-5\), 5, \(-1\), 4, 0]\)], "Input"],

Cell[BoxData[
    \(dekPlot[dlist[n], 1, \(-5\), 5, \(-1\), 4, 1]\)], "Input"],

Cell[BoxData[
    \(dekPlot[dlist[n], 0, \(-5\), 5, \(-4\), 1, 1]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
zeitSchlaufen
Plot von n Zeitschlaufen f\[UDoubleDot]r Stunden, setzt dekPlot, deklin (und \
somit dataEntry, zeitGleichung, kalender (und tage)) voraus.
Benutzte Module m\[UDoubleDot]ssen allgemein initialisiert sein!
\
\>", "Subsection"],

Cell[CellGroupData[{

Cell["Programm (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[{
    \(\(zeitSchlaufen[dataListe_, horVert_, 
          maxDekNummer_, {paramMin_, paramMax_}, {rangeMin_, 
            rangeMax_}, {minNumber_, maxNumber_}] := 
        Module[{fi}, \[IndentingNewLine]\ \ If[horVert \[Equal] 1, 
            fi = \[CurlyPhi], \ 
            If[horVert \[Equal] 0, fi = \[CurlyPhi]Vert, 
              Print["\<Vertikal: horVert=0 und horizontal horVert = 1 \
!!!!\>"]; Goto[endeProgramm]]]; \[IndentingNewLine]parPlot = 
            ParametricPlot[
              Evaluate[
                Table[v[dataListe[\([k]\)], fi, t], {k, 1, 
                    Length[dataListe]}]], {t, paramMin, paramMax}, \ 
              AspectRatio \[Rule] Automatic, 
              PlotRange \[Rule] {rangeMin, 
                  rangeMax}, \[IndentingNewLine]Epilog -> {Table[
                    Line[{\ v[dataListe[\([maxDekNummer]\)], fi, k], 
                        ursprung[fi]}], {k, minNumber, maxNumber, 1}]}, 
              DisplayFunction \[Rule] Identity]; \[IndentingNewLine]tabd[n_] := 
            Table[v[ArcSin[
                    Sin[2\ ArcTan[
                              Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[
                                  eE[d]/2\ ]] + L0 + L01\ d]\ Sin[Eps]]\ /
                  Degree, fi, \((n - zgStd[d])\)], {d, \(-100\), 
                300}]; \[IndentingNewLine]listp[n_] := 
            ListPlot[tabd[n], PlotJoined \[Rule] True, \ 
              AspectRatio \[Rule] Automatic, 
              DisplayFunction \[Rule] Identity]; \[IndentingNewLine]listp0 = 
            Show[Table[listp[j], {j, minNumber, maxNumber, 1}], 
              DisplayFunction \[Rule] Identity]; \[IndentingNewLine]Show[
            parPlot, listp0, 
            DisplayFunction \[Rule] $DisplayFunction]; \
\[IndentingNewLine]Label[
            endeProgramm]; \[IndentingNewLine]Print["\<Ende\>"]; \
\[IndentingNewLine]Print["\<OUT-Funktionen und Variablen: parPlot, tabd, \
listp, listp0\>"];];\)\[IndentingNewLine] (*\ 
      Alternativdefinition\ ohne\ Klammern\ *) \), "\[IndentingNewLine]", 
    \(zeitSchlaufen[dataListe_, horVert_, maxDekNummer_, paramMin_, 
        paramMax_, rangeMin_, rangeMax_, minNumber_, maxNumber_] := 
      zeitSchlaufen[dataListe, horVert, 
        maxDekNummer, {paramMin, paramMax}, {rangeMin, rangeMax}, {minNumber, 
          maxNumber}]\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(zeitSchlaufen[dlist[7], 2, 
      7, {\(-3.5\), 3.5}, {\(-4\), 1.2}, {\(-3\), 3}]\)], "Input"],

Cell[BoxData[
    \(zeitSchlaufen[dlist[7], 0, 
      7, {\(-3.5\), 3.5}, {\(-4\), 1.2}, {\(-3\), 3}]\)], "Input"],

Cell[BoxData[
    \(zeitSchlaufen[dlist[7], 1, 
      7, {\(-3.5\), 3.5}, {\(-1.2\), 4}, {\(-3\), 3}]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Drehungen, Wandtranslation in Horizontallage", "Subsection"],

Cell[CellGroupData[{

Cell["Programm  (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(\(newPositionWithPrint[ostNord_, zenitNord_, \[CurlyPhi]_] := 
        Module[{a, b, \[CurlyPhi]Old, u, v, w, d, r, r1, R, dY, dZ, xKS, yKS, 
            zKS, goAeq, xNew, yNew, zNew, solvU, solvV, uRichtung, vRichtung, 
            u1, u2, u3, v1, v2, v3, vv}, \[IndentingNewLine] (*\ 
            Umrechnung\ mit\ Vektorprodukt\ *) \[IndentingNewLine] (*\ \
\(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
            Altgrad\ *) \ \ \ \ \ \[IndentingNewLine]a = \ ostNord\ ; \ 
          b = zenitNord\ ; \ \[CurlyPhi]Old = \[CurlyPhi]; \
\[IndentingNewLine]u = {Cos[a\ Degree], Sin[a\ Degree], 0}; 
          Print["\<u = \>", \ 
            u // N]; \[IndentingNewLine]v = {\(-Sin[a\ Degree]\) 
                Sin[b\ Degree], Cos[a\ Degree] Sin[b\ Degree], 
              Cos[b\ Degree]}; 
          Print["\<v = \>", v // N]; \[IndentingNewLine] (*\ 
            w : \ Normalenvektor\ im\ Ortshorizontsystem\ \
*) \[IndentingNewLine]w = Transpose[{Cross[u, v]}]; 
          Print["\<w = \>", \(w // N\) // 
              MatrixForm]; \[IndentingNewLine] (*\ 
            Drehung\ um\ Ost - West - 
              Achse\ im\ Ortshorizontsystem\ *) \[IndentingNewLine] (*\ 
            Drehung\ ins\ Orst\[ADoubleDot]quatorsystem\ \
*) \[IndentingNewLine]\[CurlyPhi]Old = \[CurlyPhi]; 
          d = \((90 - \[CurlyPhi]Old)\)\ ; 
          Print["\<d = \>", 
            d // N]; \[IndentingNewLine]dreh = {{1, 0, 0}, {0, 
                Cos[d\ Degree], \(-Sin[d\ Degree]\)}, {0, Sin[d\ Degree], 
                Cos[d\ Degree]}}; 
          Print["\<dreh = \>"\ , \ \(dreh // N\) // 
              MatrixForm]; \[IndentingNewLine]r = dreh . w; 
          Print["\<r = \>", \ \(r // N\) // MatrixForm]; \ r1 = Flatten[r]; 
          Print["\<r1 = \>", 
            r1 // N]; \[IndentingNewLine]R = {\(-\ 
                r1[\([2]\)]\), \(-r1[\([1]\)]\), r1[\([3]\)]}; 
          Print["\<R = \>", R // N]; \[IndentingNewLine]Delta1 = 
            Sign[r1[\([3]\)]]\ ArcCos[
                Sqrt[\((R[\([1]\)]^2 + R[\([2]\)]^2)\)/\((R[\([1]\)]^2 + 
                        R[\([2]\)]^2 + 
                        R[\([3]\)]^2)\)]]\ ; \[IndentingNewLine] (*\ 
            Delta1\ ist\ Winkel\ zwischen\ Vektor\ und\ \
Orts\[ADoubleDot]quatorebene, \ 
            d . h . \ 
                die\ neue\ geographische\ Breite\ \
*) \[IndentingNewLine]Delta2 = \ 
            Sign[r1[\([3]\)]]\ ArcCos[
                Sqrt[R[\([1]\)]^2/\((R[\([1]\)]^2 + 
                        R[\([2]\)]^2)\)]]; \[IndentingNewLine] (*\ 
            Delta2\ ist\ Winkel\ zwischen\ Vektorprojektion\ in\ Orts\
\[ADoubleDot]quatorebene\ x\ resp . \ 
                S\[UDoubleDot]d\ *) \[IndentingNewLine]dY = Delta1; 
          dZ = Delta2; \[IndentingNewLine]Delta1Grad = Delta1/Degree // N; \ 
          Delta2Grad = Delta2/\((2\ Pi)\)\ 360 // N;; \ 
          Delta2Std = 
            Delta2/\((2\ Pi)\)\ 24 // 
              N; \[IndentingNewLine]Print["\<Delta1Grad = \>", 
            Delta1Grad, "\< Vorzeichen= \>"\ , \ Sign[r1[\([3]\)]]]; \n
          Print["\<Delta2Grad = \>", Delta2Grad, "\<, Delta2Std = \>", 
            Delta2Std, "\< Vorzeichen= \>"\ , \ 
            Sign[r1[\([2]\)]]]; \[IndentingNewLine] (*Umrechnen\ des\ \
Vertikalvektors\ der\ Wand\ zur\ Drehung\ des\ Outputs\ in\ Vertikallage, \ 
            in\ Einzelschritten*) \[IndentingNewLine]Print["\<Test \
Matrixprodukt ===> \>", 
            dreh . v \[Equal] 
              Flatten[dreh . Transpose[{v}]]]; \[IndentingNewLine]xKS = {1, 
              0, 0}; yKS = {0, 1, 0}; 
          zKS = {0, 0, 
              1}; \[IndentingNewLine]Print["\<Koordinatensystem : \>", {xKS, 
                  yKS, zKS} // MatrixForm\ \ ]\[IndentingNewLine]\(goAeq[
                vec_] := {\(-\((dreh . vec)\)[\([2]\)]\), \(-\((dreh . 
                        vec)\)[\([1]\)]\), \((dreh . 
                      vec)\)[\([3]\)]}\); \
\[IndentingNewLine]Print["\<Prozedur Koord.Umrechnung von - \
r1[[2]],-r1[[1]],r1[[3]] auf dreh.vec anwenden\>"]; \[IndentingNewLine]vAeq = 
            goAeq[v]; uAeq = goAeq[u]; xAeq = goAeq[xKS]; yAeq = goAeq[yKS]; 
          zAeq = goAeq[zKS]; \[IndentingNewLine]Print["\<===>vAeq = \>", 
            vAeq // N]; \[IndentingNewLine]Print["\<===>uAeq = \>", 
            uAeq // N]; \[IndentingNewLine]Print["\<===>xAeq = \>", 
            xAeq // N]; \[IndentingNewLine]Print["\<===>yAeq = \>", 
            yAeq // N]; \[IndentingNewLine]Print["\<===>zAeq = \>", 
            zAeq // N]; \[IndentingNewLine]drehZ = {{Cos[dZ], \(-Sin[dZ]\), 
                0}, {Sin[dZ], Cos[dZ], 0}, {0, 0, 
                1}}; \[IndentingNewLine]Print["\<drehZ =\>", \ \(drehZ // 
                N\) // MatrixForm]; \[IndentingNewLine]drehY = {{Cos[dY], 
                0, \(-Sin[dY]\)}, {0, 1, 0}, {Sin[dY], 0, 
                Cos[dY]}}; \[IndentingNewLine]Print["\<drehY =\>", \ \(drehY // 
                N\) // MatrixForm]; \[IndentingNewLine]goNew[vec_] := 
            drehZ . \((drehY . 
                  vec)\); \[IndentingNewLine]Print["\<Vektor um \
Breitendifferenz und dann um L\[ADoubleDot]ngendifferenz drehen\>"]; \
\[IndentingNewLine]xNew = goNew[xKS]; yNew = goNew[yKS]; 
          zNew = goNew[zKS]; \[IndentingNewLine]Print["\<xNew KS =\>", \ 
            xNew // N]; \[IndentingNewLine]Print["\<yNew KS =\>", \ 
            yNew // N]; \[IndentingNewLine]Print["\<zNew KS =\>", \ 
            zNew // N]; \[IndentingNewLine]solvU = \(\(Solve[
                    uAeq \[Equal] 
                      u1\ xNew\  + \ u2\ yNew\  + \ u3\ zNew, {u1, u2, u3}] // 
                  Chop\) // Flatten\) // N; 
          uRichtung = {u1, u2, u3} /. 
              solvU; \[IndentingNewLine]Print["\<Kontrolle: gedrehtes u im \
neuen Parallelebenen-KS dargestellt ===> \>", \ 
            uRichtung, "\< 1. Koord. muss 0 sein\>"]; \[IndentingNewLine] (*\ 
            vAeq\ hat\ schon\ ins\ Orts\[ADoubleDot]quatorsyst . \ 
                umgerechnete\ \(\(Koord\)\(.\)\)*) \[IndentingNewLine]solvV = \
\(\(Solve[vAeq \[Equal] v1\ xNew\  + \ v2\ yNew\  + \ v3\ zNew, {v1, v2, 
                      v3}] // Chop\) // Flatten\) // 
              N; \[IndentingNewLine]vRichtung = {v1, v2, v3} /. 
              solvV; \[IndentingNewLine]Print["\<Kontrolle: gedrehtes v im \
neuen Parallelebenen-KS dargestellt ===> \>", \ 
            vRichtung, "\< 1. Koord. muss 0 sein\>"]; \[IndentingNewLine]vLen[
              vec_] := Sqrt[
              vec . vec]; \  (*\ \(===\)\(\(>\)\(\ \
\)\(Vektorl\[ADoubleDot]nge\)\)\ *) \[IndentingNewLine]\  (*\ \
\(===\)\(\(>\)\(\ \)\(Vektorl\[ADoubleDot]nge\)\)\ *) \[IndentingNewLine]\  \
(*\ \(===\)\(\(>\)\(\ \)\(Drehung\ der\ Vertikalen\)\)\ \
*) \[IndentingNewLine]drehNewArc = \(-Sign[vRichtung[\([2]\)]]\)\ ArcCos[
                vRichtung . zKS/\((vLen[vRichtung]\ vLen[zKS])\)]; 
          drehNewGrad = drehNewArc\ /\((2  Pi)\)\ 360; \[IndentingNewLine]\ 
          vv = drehNewArc; \[IndentingNewLine]Print["\<drehNewGrad, \>", 
            drehNewGrad]; \[IndentingNewLine]Print["\<vRichtung \>", 
            vRichtung]; \[IndentingNewLine]Print["\<zKS \>", 
            zKS]; \[IndentingNewLine]drehPlot = {{Cos[
                  vv], \(-Sin[vv]\)}, {Sin[vv], 
                Cos[vv]}}; \ \[IndentingNewLine]Print["\<drehPlot = \>", \ 
            drehPlot // 
              MatrixForm]; \[IndentingNewLine]Print["\<Out-Variablen: Delta1, \
Delta1Grad, Delta2, Delta2Std, drehNewArc,drehNewGrad, drehPlot, \
vLen\>"];];\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiel (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(\(Print[\[CurlyPhi]];\)\)], "Input"],

Cell[BoxData[
    \(newPositionWithPrint[30, 6, \[CurlyPhi]]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Programm  (* DEFINITION*)", "Subsubsection"],

Cell[BoxData[
    \(newPosition[ostNord_, zenitNord_, \[CurlyPhi]_] := 
      Module[{a, b, \[CurlyPhi]Old, u, v, w, d, r, r1, R, dY, dZ, xKS, yKS, 
          zKS, goAeq, xNew, yNew, zNew, solvU, solvV, uRichtung, vRichtung, 
          u1, u2, u3, v1, v2, v3, vv}, \[IndentingNewLine] (*\ 
          Umrechnung\ mit\ Vektorprodukt\ *) \[IndentingNewLine] (*\ \
\(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ 
          Altgrad\ *) \ \ \ \ \ \[IndentingNewLine]a = \ ostNord\ ; \ 
        b = zenitNord\ ; \ \[CurlyPhi]Old = \[CurlyPhi]; \[IndentingNewLine]u \
= {Cos[a\ Degree], Sin[a\ Degree], 0}; 
        v = {\(-Sin[a\ Degree]\) Sin[b\ Degree], 
            Cos[a\ Degree] Sin[b\ Degree], 
            Cos[b\ Degree]}; \[IndentingNewLine] (*\ 
          w : \ Normalenvektor\ im\ Ortshorizontsystem\ \
*) \[IndentingNewLine]w = Transpose[{Cross[u, v]}]; \[IndentingNewLine] (*\ 
          Drehung\ um\ Ost - West - 
            Achse\ im\ Ortshorizontsystem\ *) \[IndentingNewLine] (*\ 
          Drehung\ ins\ Orst\[ADoubleDot]quatorsystem\ \
*) \[IndentingNewLine]d = \((90 - \[CurlyPhi]Old)\)\ ; \
\[IndentingNewLine]dreh = {{1, 0, 0}, {0, 
              Cos[d\ Degree], \(-Sin[d\ Degree]\)}, {0, Sin[d\ Degree], 
              Cos[d\ Degree]}}; \[IndentingNewLine]r = dreh . w; \ 
        r1 = Flatten[r]; \[IndentingNewLine] (*\ alte\  - y\ heisst\ x, \ 
          alte\  - 
            x\ heisst\ y\ *) \[IndentingNewLine]R = {\(-\ 
              r1[\([2]\)]\), \(-r1[\([1]\)]\), 
            r1[\([3]\)]}; \[IndentingNewLine]Delta1 = 
          Sign[r1[\([3]\)]]\ \ ArcCos[
              Sqrt[\((R[\([1]\)]^2 + R[\([2]\)]^2)\)/\((R[\([1]\)]^2 + 
                      R[\([2]\)]^2 + 
                      R[\([3]\)]^2)\)]]\ ; \[IndentingNewLine] (*\ 
          Delta1\ ist\ Winkel\ zwischen\ Vektor\ und\ \
Orts\[ADoubleDot]quatorebene, \ 
          d . h . \ 
              die\ neue\ geographische\ Breite\ *) \[IndentingNewLine]Delta2 \
= \ Sign[r1[\([3]\)]]\ ArcCos[
              Sqrt[R[\([1]\)]^2/\((R[\([1]\)]^2 + 
                      R[\([2]\)]^2)\)]]; \[IndentingNewLine] (*\ 
          Delta2\ ist\ Winkel\ zwischen\ Vektorprojektion\ in\ Orts\
\[ADoubleDot]quatorebene\ x\ resp . \ 
              S\[UDoubleDot]d\ *) \[IndentingNewLine]dY = Delta1; 
        dZ = Delta2; \[IndentingNewLine]Delta1Grad = Delta1/Degree // N; \ 
        Delta2Grad = Delta2/\((2\ Pi)\)\ 360 // N;; \ 
        Delta2Std = 
          Delta2/\((2\ Pi)\)\ 24 // 
            N; \[IndentingNewLine]Print["\<Delta1Grad = \>", 
          Delta1Grad, "\< Vorzeichen= \>"\ , \ 
          Sign[r1[\([3]\)]]]; \n\ \ \ \ \ Print["\<Delta2Grad = \>", 
          Delta2Grad, "\<, Delta2Std = \>", 
          Delta2Std, "\< Vorzeichen= \>"\ , \ 
          Sign[r1[\([2]\)]]]; \[IndentingNewLine] (*Umrechnen\ des\ \
Vertikalvektors\ der\ Wand\ zur\ Drehung\ des\ Outputs\ in\ Vertikallage, \ 
          in\ Einzelschritten*) \[IndentingNewLine]xKS = {1, 0, 0}; 
        yKS = {0, 1, 0}; 
        zKS = {0, 0, 1}; \[IndentingNewLine]goAeq[
            vec_] := {\(-\((dreh . vec)\)[\([2]\)]\), \(-\((dreh . 
                    vec)\)[\([1]\)]\), \((dreh . 
                  vec)\)[\([3]\)]}; \[IndentingNewLine]vAeq = goAeq[v]; 
        uAeq = goAeq[u]; xAeq = goAeq[xKS]; yAeq = goAeq[yKS]; 
        zAeq = goAeq[
            zKS]; \[IndentingNewLine]drehZ = {{Cos[dZ], \(-Sin[dZ]\), 
              0}, {Sin[dZ], Cos[dZ], 0}, {0, 0, 
              1}}; \[IndentingNewLine]drehY = {{Cos[dY], 
              0, \(-Sin[dY]\)}, {0, 1, 0}, {Sin[dY], 0, 
              Cos[dY]}}; \[IndentingNewLine]goNew[vec_] := 
          drehZ . \((drehY . vec)\); \[IndentingNewLine]xNew = goNew[xKS]; 
        yNew = goNew[yKS]; 
        zNew = goNew[
            zKS]; \[IndentingNewLine]solvU = \(\(Solve[
                  uAeq \[Equal] u1\ xNew\  + \ u2\ yNew\  + \ u3\ zNew, {u1, 
                    u2, u3}] // Chop\) // Flatten\) // 
            N; \[IndentingNewLine]solvV = \(\(Solve[
                  vAeq \[Equal] v1\ xNew\  + \ v2\ yNew\  + \ v3\ zNew, {v1, 
                    v2, v3}] // Chop\) // Flatten\) // 
            N; \[IndentingNewLine]uRichtung = {u1, u2, u3} /. 
            solvU; \[IndentingNewLine]vRichtung = {v1, v2, v3} /. 
            solvV; \[IndentingNewLine]vLen[vec_] := 
          Sqrt[vec . 
              vec]; \[IndentingNewLine]drehNewArc = \(-Sign[
                vRichtung[\([2]\)]]\)\ ArcCos[
              vRichtung . zKS/\((vLen[vRichtung]\ vLen[zKS])\)]; 
        drehNewGrad = 
          drehNewArc\ /\((2  Pi)\)\ 360; \ \[IndentingNewLine]vv = 
          drehNewArc; \[IndentingNewLine]Print["\<drehNewGrad = \>", 
          drehNewGrad]; \[IndentingNewLine]drehPlot = {{Cos[
                vv], \(-Sin[vv]\)}, {Sin[vv], 
              Cos[vv]}}; \ \[IndentingNewLine]Print["\<drehPlot = \>", \ 
          drehPlot // 
            MatrixForm]; \[IndentingNewLine]Print["\<Out-Variablen: Delta1, \
Delta1Grad, Delta2, Delta2Std, drehNewArc,drehNewGrad, drehPlot, \
vLen\>"];]\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele (* INITIALISATION *)", "Subsubsection"],

Cell[BoxData[
    \(newPosition[30, 6, \[CurlyPhi]]\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Plot-Programm", "Subsection"],

Cell[CellGroupData[{

Cell["Programm", "Subsubsection"],

Cell[BoxData[{
    \(\(drehOmbrixDekSlPlot[{hMin_, hMax_}, {t1_, t2_}, {t3_, t4_}, {k1_, 
            k2_}, {k3_, k4_}, {pr1_, pr2_}, {faktor1_, faktor2_}, {nMitte_, 
            nZiel_}, {nn1_, nn2_}] := 
        Module[{\[CurlyPhi]New, parPlotNow, k5, k6, 
            tabd}, \[IndentingNewLine]\[CurlyPhi]New = \ Delta1Grad; \ 
          fiNew = \ \((90 - Abs[\[CurlyPhi]New])\); \[IndentingNewLine]k5 = 
            Sign[k3]^2\ k3\  + \ \((1 - Sign[k3]^2)\) 
                hMin; \[IndentingNewLine]k6 = 
            Sign[k4]^2\ k4\  + \ \((1 - Sign[k4]^2)\) 
                hMax; \[IndentingNewLine]v[gNow_, \[CurlyPhi]Now_, dNow_, 
              fiNow_, tNow_] := 
            gNow/\((Cos[Sign[\[CurlyPhi]Now]\ \ dNow\ Degree]\ Cos[
                        tNow\ hour]\ Sin[fiNow\ Degree]\  + \ 
                    Sin[Sign[\[CurlyPhi]Now]\ dNow\ Degree]\ Cos[
                        fiNow\ Degree])\)\ {\((Cos[
                      Sign[\[CurlyPhi]Now]\ dNow\ Degree]\ Sin[
                      tNow\ hour])\), 
                Sign[\[CurlyPhi]Now] \((\((Cos[
                            Sign[\[CurlyPhi]Now]\ dNow\ Degree]\ Cos[
                            tNow\ hour]\ Cos[fiNow\ Degree]\  - \ 
                        Sin[Sign[\[CurlyPhi]Now]\ dNow\ Degree]\ Sin[
                            fiNow\ Degree])\)\ )\)}; \[IndentingNewLine]vDreh[
              gNow_, \[CurlyPhi]Now_, dNow_, fiNow_, tNow_] := 
            drehPlot . 
              v[gNow, \[CurlyPhi]Now, dNow, fiNow, 
                tNow]; \[IndentingNewLine] (*\(\(===\)\(\(>\)\(\ \)\(hMin\)\)\
\), hMax\ \
\(eingeben!\)*) \[IndentingNewLine]tabPlotPunkteDelta[\[CurlyPhi]Var_, 
              hMinInt_, hMaxInt_] := 
            Table[{MP[tVar - Delta2Std, \[CurlyPhi]Var], 
                g/Tan[\((90 - \[CurlyPhi]Var)\)\ Degree]}, {tVar, hMinInt, 
                hMaxInt, 1}]; \[IndentingNewLine] (*\ Drehombrix, \ 
            Deklinationslinien*) \[IndentingNewLine]ParametricPlot[
            Evaluate[
              Table[vDreh[g, \[CurlyPhi]New, d[k], fiNew, t], {k, k1, 
                  k2}]], {t, t1, t2}, \ AspectRatio \[Rule] Automatic, 
            PlotRange \[Rule] {pr1, pr2}\ , \[IndentingNewLine]Epilog \[Rule] 
              Join[Table[
                  Line[{drehPlot . ursprung[\[CurlyPhi]New], 
                      drehPlot . \((faktor1 \((\ \(tabPlotPunkteDelta[\
\[CurlyPhi]New, hMin, hMax]\)[\([n]\)] - ursprung[\[CurlyPhi]New])\) + 
                            ursprung[\[CurlyPhi]New])\)}], {n, 1, 
                    Length[tabPlotPunkteDelta[\[CurlyPhi]New, hMin, 
                        hMax]]}], {Line[{drehPlot . ursprung[\[CurlyPhi]New], 
                      faktor2\ drehPlot . \
\(tabPlotPunkte[\[CurlyPhi]New]\)[\([nMitte]\)]}]}]]; \[IndentingNewLine]nn1 \
= Sign[nn1]^2\ nn1\  + \ \((1 - Sign[nn1]^2)\) hMin; \[IndentingNewLine]nn2 = 
            Sign[nn2]^2\ nn2\  + \ \((1 - Sign[nn2]^2)\) 
                hMax; \[IndentingNewLine]parPlotNow = 
            ParametricPlot[
              Evaluate[
                Table[vDreh[g, \[CurlyPhi]New, d[k], 
                    fiNew, \((t - Delta2Std)\)], {k, k1, k2}]], {t, 
                t3 + Delta2Std, t4 + Delta2Std}, \ 
              AspectRatio \[Rule] Automatic, 
              PlotRange \[Rule] {pr1, 
                  pr2}, \[IndentingNewLine]Epilog -> {Join[
                    Table[Line[{vDreh[g, \[CurlyPhi]New, d[nZiel], fiNew, 
                            k - Delta2Std], 
                          drehPlot . ursprung[\[CurlyPhi]New]}], {k, k5, k6, 
                        1}], \ {Line[{drehPlot . ursprung[\[CurlyPhi]New], 
                          faktor2\ drehPlot . \(tabPlotPunkte[\[CurlyPhi]New]\
\)[\([nMitte]\)]}]}\ \ ]}, 
              DisplayFunction \[Rule] Identity]; \[IndentingNewLine]tabd[n_] := 
            Table[vDreh[g, \[CurlyPhi]New, 
                ArcSin[Sin[
                        2\ ArcTan[
                              Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[
                                  eE[dd]/2\ ]] + L0 + L01\ dd + \ 
                          L01\ jahresTage[jahrOut]]\ Sin[Eps]]\ /Degree, 
                fiNew, \((n - zgStd[dd] - Delta2Std)\)], {dd, \(-100\), 
                300}]; \[IndentingNewLine]listp[n_] := 
            ListPlot[tabd[n], PlotJoined \[Rule] True, \ 
              AspectRatio \[Rule] Automatic, 
              DisplayFunction \[Rule] Identity]; \[IndentingNewLine]listp0 = 
            Show[Table[listp[nn], {nn, nn1, nn2}], 
              DisplayFunction \[Rule] Identity]; \[IndentingNewLine]\(Show[
              parPlotNow, listp0, 
              DisplayFunction \[Rule] $DisplayFunction];\)];\)\), "\
\[IndentingNewLine]", 
    \(drehOmbrixDekSlPlot[hMin_, hMax_, t1_, t2_, t3_, t4_, k1_, k2_, k3_, 
        k4_, pr1_, pr2_, faktor1_, faktor2_, nMitte_, nZiel_, nn1, nn2] := 
      drehOmbrixDekSlPlot[{hMin, hMax}, {t1, t2}, {t3, t4}, {k1, k2}, {k3, 
          k4}, {pr1, pr2}, {faktor1, faktor2}, {nMitte, nZiel}, {nn1, 
          nn2}, \[IndentingNewLine]\(Print["\<Ende\>"];\)]\)}], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Beispiele", "Subsubsection"],

Cell[BoxData[
    \(drehOmbrixDekSlPlot[{\(-7\), 2}, {\(-4\), 4}, {\(-4\), 4}, {1, 8}, {0, 
        0}, {\(-4\), 2}, {4, 5}, {6, 7}, {\(-7\), 2}]\)], "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Work", "Title"],

Cell[CellGroupData[{

Cell["\<\
Der Modularisierung des nachfolgenden Codes ist noch nicht erarbeitet worden.
Man kann sich hier fragen, welchen Output man haben m\[ODoubleDot]chte...
Achtung! Der Run dieses Programms k\[ODoubleDot]nnte lange dauern .....\
\>", "Subsection"],

Cell[BoxData[
    \(\(\( (*\ "\<Putzmaschine\>"\ *) \)\(\ \)\( (*Old\ \(Form : 
          Remove["\<Global`@*\>"]\)*) \)\(\ \ \ \)\(Remove["\<Global`*\>"];\)\
\(\ \)\(\[IndentingNewLine]\)\( (*\ 
      Umrechnung\ mit\ Vektorprodukt\ *) \)\)\)], "Input"],

Cell[BoxData[{
    \( (*\ \(\(===\)\(\(>\)\(\ \)\(INPUT\)\)\), \ Altgrad\ *) \ \ \ \ \ a = \ 
      30\ ; \ b = \ 6\ ; \ \ \[CurlyPhi] = 
      47.09; \ \[CurlyPhi]0 = \[CurlyPhi];\), "\[IndentingNewLine]", 
    \(dek[1] = 23.5\ ; dek[2] = 16\ ; dek[3] = 8\ ; dek[4] = 0\ ; 
    dek[5] = \(-8\)\ ; dek[6] = \(-16\)\ ; 
    dek[7] = \(-23.5\)\ ; \ \ \ \ g = 
      1;\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(hour = 2\ Pi\ /24;\)\), "\[IndentingNewLine]", 
    \(m0 = \((356.5399 - 360)\)\ Degree; \ e = 0.0167092; \ 
    L0 = \((282.9399 - 360)\)\ Degree; \ 
    Eps\  = \ 23.4393\ Degree;\), "\[IndentingNewLine]", 
    \(L01 = 0.0000470684\ Degree; \ 
    m01 = 0.9856002664\ Degree;\[IndentingNewLine] (*\ 
      Keplerfunktion\ *) \), "\[IndentingNewLine]", 
    \(\(f[eE_, d_] := \ 
        eE - e\ Sin[eE]\  - m0 - m01\ d;\)\), "\[IndentingNewLine]", 
    \(\(eE[d_] := 
        eNS\  /. FindRoot[
            f[eNS, d] \[Equal] 0, {eNS, 3}];\)\), "\[IndentingNewLine]", 
    \( (*\ Zeitgleichung\ *) \(zG[d_] := 
        L0 + m0 + \((L01 + m01)\) d - 
          ArcTan[Tan[
                2\ ArcTan[Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                  L0 + L01\ d]\ \ Cos[Eps]];\)\[IndentingNewLine] (*\ 
      Die\ Spr\[UDoubleDot]nge\ des\ Arcustangens\ durch\ Stetigmachen\ resp \
. \ Zusammensetzen\ \(\(\[UDoubleDot]berwinden\)\(:\)\)*) \), "\
\[IndentingNewLine]", 
    \(\(updown[
          d_] := \((1 - Sign[\((zG[d] - 1)\)])\)/2\ \ zG[
            d];\)\), "\[IndentingNewLine]", 
    \(\(upup[
          d_] := \((1 + Sign[\((zG[d] - 1)\)])\)/
            2\ \((zG[d] - Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(up[d_] := updown[d] + upup[d];\)\), "\[IndentingNewLine]", 
    \(\(downall[
          d_] := \((1 - Sign[\((zG[d] + 1)\)])\)\ /
            2\ \ \((zG[d] + Pi)\);\)\), "\[IndentingNewLine]", 
    \(\(upall[
          d_] := \((1 + Sign[\((zG[d] + 1)\)])\)/2\ up[
            d];\)\), "\[IndentingNewLine]", 
    \(\(glattZG[
          d_] := \((upall[d] + downall[d])\);\)\), "\[IndentingNewLine]", 
    \(\(zgStd[d_] := 
        glattZG[d]/\((2  
                Pi)\)\ 24\ ;\)\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(u = {Cos[a\ Degree], Sin[a\ Degree], 0}; 
    v = {\(-Sin[a\ Degree]\) Sin[b\ Degree], Cos[a\ Degree] Sin[b\ Degree], 
        Cos[b\ Degree]};\), "\[IndentingNewLine]", 
    \(\(w = Transpose[{Cross[u, v]}];\)\), "\[IndentingNewLine]", 
    \(\(d = \((90 - \[CurlyPhi])\)\ ;\)\), "\[IndentingNewLine]", 
    \(\(dreh = {{1, 0, 0}, {0, Cos[d\ Degree], \(-Sin[d\ Degree]\)}, {0, 
            Sin[d\ Degree], Cos[d\ Degree]}};\)\), "\[IndentingNewLine]", 
    \(r = dreh . w; \ r1 = Flatten[r];\), "\[IndentingNewLine]", 
    \(\(R = {\(-\ r1[\([2]\)]\), \(-r1[\([1]\)]\), 
          r1[\([3]\)]};\)\), "\[IndentingNewLine]", 
    \(\(Delta1 = 
        ArcCos[Sqrt[\((R[\([1]\)]^2 + R[\([2]\)]^2)\)/\((R[\([1]\)]^2 + 
                  R[\([2]\)]^2 + 
                  R[\([3]\)]^2)\)]]\ ;\)\), "\[IndentingNewLine]", 
    \(Delta2 = ArcCos[Sqrt[R[\([1]\)]^2/\((R[\([1]\)]^2 + R[\([2]\)]^2)\)]]; 
    dY = Delta1; dZ = Delta2;\), "\[IndentingNewLine]", 
    \(Delta1Grad = Delta1/Degree // N; \ 
    Delta2Grad = Delta2/\((2\ Pi)\)\ 360 // N;; \ 
    Delta2Std = Delta2/\((2\ Pi)\)\ 24 // N;\), "\[IndentingNewLine]", 
    \(\(Print["\<Delta1Grad = \>", Delta1Grad, "\<, Delta2Grad = \>", 
        Delta2Grad, "\<, Delta2Std = \>", 
        Delta2Std];\)\[IndentingNewLine] (*Umrechnen\ des\ Vertikalvektors\ \
und\ zur\ Drehung\ des\ Outputs\ in\ Vertikallage\ in\ Einzelschritten*) \), \
"\[IndentingNewLine]", 
    \(\(Print["\<Test Matrixprodukt ===> \>", 
        dreh . v \[Equal] 
          Flatten[dreh . Transpose[{v}]]];\)\), "\[IndentingNewLine]", 
    \(\(goAeq[
          vec_] := {\(-\((dreh . vec)\)[\([2]\)]\), \(-\((dreh . 
                  vec)\)[\([1]\)]\), \((dreh . 
                vec)\)[\([3]\)]};\)\), "\[IndentingNewLine]", 
    \(xKS = {1, 0, 0}; yKS = {0, 1, 0}; 
    zKS = {0, 0, 1};\), "\[IndentingNewLine]", 
    \(vAeq = goAeq[v]; uAeq = goAeq[u]; xAeq = goAeq[xKS]; yAeq = goAeq[yKS]; 
    zAeq = goAeq[zKS];\), "\[IndentingNewLine]", 
    \(\(drehZ = {{Cos[\(-dZ\)], \(-Sin[\(-dZ\)]\), 0}, {Sin[\(-dZ\)], 
            Cos[\(-dZ\)], 0}, {0, 0, 1}};\)\), "\[IndentingNewLine]", 
    \(\(drehY = {{Cos[\(-dY\)], 0, \(-Sin[\(-dY\)]\)}, {0, 1, 
            0}, {Sin[\(-dY\)], 0, 
            Cos[\(-dY\)]}};\)\), "\[IndentingNewLine]", 
    \(\(goNew[vec_] := 
        drehZ . \((drehY . vec)\);\)\), "\[IndentingNewLine]", 
    \(xNew = goNew[xKS]; yNew = goNew[yKS]; zNew = goNew[zKS]; 
    Print["\<Kontrolle 1. Koord 0 ===> \>", \ 
      solvU = \(Solve[
              uAeq \[Equal] u1\ xNew\  + \ u2\ yNew\  + \ u3\ zNew, {u1, u2, 
                u3}] // Chop\) // Flatten]\), "\[IndentingNewLine]", 
    \(\(Print["\<Kontrolle 1. Koord 0 ===> \>", \ 
        solvV = \(Solve[
                vAeq \[Equal] v1\ xNew\  + \ v2\ yNew\  + \ v3\ zNew, {v1, 
                  v2, v3}] // Chop\) // 
            Flatten];\)\), "\[IndentingNewLine]", 
    \(\(uRichtung = {u1, u2, u3} /. solvU;\)\), "\[IndentingNewLine]", 
    \(\(vRichtung = {v1, v2, v3} /. solvV;\)\), "\[IndentingNewLine]", 
    \(\(vLen[vec_] := Sqrt[vec . vec];\)\), "\[IndentingNewLine]", 
    \(drehNewArc = ArcCos[vRichtung . zKS/\((vLen[vRichtung]\ vLen[zKS])\)]; 
    drehNewGrad = drehNewArc\ /\((2  Pi)\)\ 360; \ 
    Print["\<Drehung der Vertikalen \>", 
      drehNewGrad];\), "\[IndentingNewLine]", 
    \(\(vv = \(-drehNewArc\);\)\), "\[IndentingNewLine]", 
    \(\(drehPlot = {{Cos[vv], \(-Sin[vv]\)}, {Sin[vv], 
            Cos[vv]}};\)\ \), "\[IndentingNewLine]", 
    \(\(Print["\<drehPlot = \>", \ 
        drehPlot // MatrixForm];\)\[IndentingNewLine] (*\ 
      Plot\ *) \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\[CurlyPhi] = \(-\ Delta1Grad\); \ 
    fi = \ \((90 - Abs[\[CurlyPhi]])\);\), "\[IndentingNewLine]", 
    \(\(hour = \ 2\ Pi/24\ \  (*\ 
        Tage\ *) ;\)\ \[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(MP[t_, \[CurlyPhi]_] := 
        g\ Tan[t\ hour]/\ 
            Sin[\((90 - \[CurlyPhi])\)\ Degree];\)\), "\[IndentingNewLine]", 
    \(tab1[\[CurlyPhi]_] := 
      Table[MP[t, \[CurlyPhi]], {t, \(-5\), 5, 
          1}]; \ \ tab1[\[CurlyPhi]];\), "\[IndentingNewLine]", 
    \(tab2[\[CurlyPhi]_] := 
      Table[{\(tab1[\[CurlyPhi]]\)[\([n]\)], 
          g/Tan[\((90 - \[CurlyPhi])\)\ Degree]}, {n, 1, 
          Length[\ 
            tab1[\[CurlyPhi]]]}]; \ \ tab2[\[CurlyPhi]];\), "\
\[IndentingNewLine]", 
    \(\ \(vV[h_, fi_, t_] := 
        drehPlot . \ \((g/\((Cos[Sign[\[CurlyPhi]]\ \ h\ Degree]\ Cos[
                        t\ hour]\ Sin[fi\ Degree]\  + \ 
                    Sin[Sign[\[CurlyPhi]]\ h\ Degree]\ Cos[
                        fi\ Degree])\)\ {\((Cos[
                      Sign[\[CurlyPhi]]\ h\ Degree]\ Sin[t\ hour])\), 
                Sign[\[CurlyPhi]] \((\((Cos[
                            Sign[\[CurlyPhi]]\ h\ Degree]\ Cos[t\ hour]\ Cos[
                            fi\ Degree]\  - \ 
                        Sin[Sign[\[CurlyPhi]]\ h\ Degree]\ Sin[
                            fi\ Degree])\)\ )\)})\);\)\[IndentingNewLine]\
\[IndentingNewLine] (*\ Ursprung\ versetzt, \ 
      vgl . \ Gnomonstab\ parallel\ \(Erdachse!\)\ *) \), \
"\[IndentingNewLine]", 
    \(\(ursprung[\[CurlyPhi]_] := {\ 
          0, \(-g\)/Tan[\[CurlyPhi]\ Degree]};\)\), "\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[Table[vV[dek[k], fi, t], {k, 1, 7}]], {t, \(-5\), 5}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {\(-4\), 
            2}\ , \[IndentingNewLine]Epilog -> {Table[
              Line[{drehPlot . ursprung[\[CurlyPhi]], 
                  drehPlot . \((4 \((\ \(tab2[\[CurlyPhi]]\)[\([n]\)] - 
                              ursprung[\[CurlyPhi]])\) + 
                        ursprung[\[CurlyPhi]])\)}], {n, 1, 
                Length[\ tab1[\[CurlyPhi]]]}]}];\)\), "\[IndentingNewLine]", 
    \(tab3[\[CurlyPhi]_] := 
      Table[MP[\((t - Delta2Std)\), \[CurlyPhi]], {t, \(-2\), 7, 
          1}]; \ \ tab3[\[CurlyPhi]];\), "\[IndentingNewLine]", 
    \(tab4[\[CurlyPhi]_] := 
      Table[{\(tab3[\[CurlyPhi]]\)[\([n]\)], 
          g/Tan[\((90 - \[CurlyPhi])\)\ Degree]}, {n, 1, 
          Length[\ 
            tab3[\[CurlyPhi]]]}]; \ \ tab3[\[CurlyPhi]];\), "\
\[IndentingNewLine]", 
    \(\(Print["\<Erster wichtiger Plot\>"];\)\), "\[IndentingNewLine]", 
    \(\(ParametricPlot[
        Evaluate[Table[vV[dek[k], fi, t], {k, 1, 7}]], {t, \(-5\), 5}, \ 
        AspectRatio \[Rule] Automatic, 
        PlotRange \[Rule] {\(-4\), 2}\ , \[IndentingNewLine]Epilog \[Rule] 
          Join[Table[
              Line[{drehPlot . ursprung[\[CurlyPhi]], 
                  drehPlot . \((4 \((\ \(tab4[\[CurlyPhi]]\)[\([n]\)] - 
                              ursprung[\[CurlyPhi]])\) + 
                        ursprung[\[CurlyPhi]])\)}], {n, 1, 
                Length[\ 
                  tab3[\[CurlyPhi]]]}], {Line[{drehPlot . 
                    ursprung[\[CurlyPhi]], 
                  5  drehPlot . \(tab2[\[CurlyPhi]]\)[\([6]\)]}]}]];\)\), "\
\[IndentingNewLine]", 
    \(\(Print["\<tab1[\[CurlyPhi]]:= \>", \ \ tab1[\[CurlyPhi]], \ "\< Plot \
von -5 bis 5 Std. versetzte Zeit \>"];\)\), "\[IndentingNewLine]", 
    \(Print["\<tab3[\[CurlyPhi]]:= \>", \ \ tab3[\[CurlyPhi]], \ \ "\< Plot \
von -3-Delta2Std bis 7-Delta2Std korrigierte Zeit.\>"]\[IndentingNewLine]\), \
"\[IndentingNewLine]", 
    \( (*\ Plot\ ohne\ korrigierte\ Zeit\ *) \ \(parPlot = 
        ParametricPlot[
          Evaluate[Table[vV[dek[k], fi, t], {k, 1, 7}]], {t, \(-3.5\), 
            3.5}, \ AspectRatio \[Rule] Automatic, 
          PlotRange \[Rule] {\(-4\), 
              2}, \[IndentingNewLine]Epilog -> {Table[
                Line[{vV[dek[1], fi, k], 
                    drehPlot . ursprung[\[CurlyPhi]]}], {k, \(-3\), 3, 
                  1}]}];\)\), "\[IndentingNewLine]", 
    \(\(tabd[n_] := 
        Table[vV[
            ArcSin[Sin[
                    2\ ArcTan[
                          Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                      L0 + L01\ d]\ Sin[Eps]]\ /Degree, 
            fi, \((n - zgStd[d])\)], {d, \(-100\), 
            300}];\)\), "\[IndentingNewLine]", 
    \(\(listp[n_] := 
        ListPlot[tabd[n], PlotJoined \[Rule] True, \ 
          AspectRatio \[Rule] Automatic, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(listp0 = 
        Show[listp[3], listp[2], listp[1], listp[0], listp[\(-1\)], 
          listp[\(-2\)], listp[\(-3\)], 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(Show[parPlot, listp0, 
        DisplayFunction \[Rule] $DisplayFunction];\)\), \
"\[IndentingNewLine]", 
    \(\(Print["\<Das waren Plots ohne korrigierte Zeit \>"];\)\), "\
\[IndentingNewLine]", 
    \(\(Print["\<  \>"];\)\), "\[IndentingNewLine]", 
    \(\(Print["\<Nachfolgend kommen Plots mit korrigierte Zeit \>"];\)\
\[IndentingNewLine]\[IndentingNewLine] (*\ 
      Plot\ mit\ korrigierter\ Zeit\ *) \ \), "\[IndentingNewLine]", 
    \(\(parPlot = 
        ParametricPlot[
          Evaluate[
            Table[vV[dek[k], fi, \((t - Delta2Std)\)], {k, 1, 
                7}]], {t, \(-3.5\) + Delta2Std, 3.5 + Delta2Std}, \ 
          AspectRatio \[Rule] Automatic, 
          PlotRange \[Rule] {\(-4\), 
              2}, \[IndentingNewLine]Epilog -> {Table[
                Line[{vV[dek[1], fi, k - Delta2Std], 
                    drehPlot . ursprung[\[CurlyPhi]]}], {k, \(-1\), 5, 
                  1}]}];\)\), "\[IndentingNewLine]", 
    \(\(tabd[n_] := 
        Table[vV[
            ArcSin[Sin[
                    2\ ArcTan[
                          Sqrt[\((1 + e)\)/\((1 - e)\)]\ Tan[eE[d]/2\ ]] + 
                      L0 + L01\ d]\ Sin[Eps]]\ /Degree, 
            fi, \((n - zgStd[d] - Delta2Std)\)], {d, \(-100\), 
            300}];\)\), "\[IndentingNewLine]", 
    \(\(listp[n_] := 
        ListPlot[tabd[n], PlotJoined \[Rule] True, \ 
          AspectRatio \[Rule] Automatic, 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(listp0 = 
        Show[listp[5], listp[4], listp[3], listp[2], listp[1], listp[0], 
          listp[\(-1\)], 
          DisplayFunction \[Rule] Identity];\)\), "\[IndentingNewLine]", 
    \(\(Print["\<Erster wichtiger Plot\>"];\)\), "\[IndentingNewLine]", 
    \(\(Show[parPlot, listp0, 
        DisplayFunction \[Rule] $DisplayFunction];\)\), \
"\[IndentingNewLine]", 
    \(\(Print["\<Das waren Plots mit korrigierte Zeit \>"];\)\)}], "Input"]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"4.0 for Microsoft Windows",
ScreenRectangle->{{0, 1152}, {0, 791}},
WindowToolbars->"EditBar",
WindowSize->{585, 770},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic}
]


(***********************************************************************
Cached data follows.  If you edit this Notebook file directly, not using
Mathematica, you must remove the line containing CacheID at the top of 
the file.  The cache data will then be recreated when you save this file 
from within Mathematica.
***********************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1739, 51, 28, 0, 105, "Title"],
Cell[1770, 53, 115, 4, 65, "Subtitle"],
Cell[1888, 59, 105, 2, 53, "Subsubtitle"],
Cell[1996, 63, 93, 2, 53, "Subsubtitle"],

Cell[CellGroupData[{
Cell[2114, 69, 179, 6, 74, "Section",
  Evaluatable->False],
Cell[2296, 77, 80, 1, 30, "Input"],
Cell[2379, 80, 55, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2471, 86, 51, 0, 53, "Section"],
Cell[2525, 88, 2026, 39, 410, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4588, 132, 64, 0, 53, "Section"],
Cell[4655, 134, 602, 12, 130, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5294, 151, 69, 0, 53, "Section"],
Cell[5366, 153, 1538, 29, 390, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6941, 187, 73, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[7039, 191, 79, 0, 47, "Subsection"],
Cell[7121, 193, 231, 5, 50, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7389, 203, 82, 1, 47, "Subsection"],
Cell[7474, 206, 660, 13, 190, "Input"],
Cell[8137, 221, 54, 1, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[8240, 228, 98, 2, 74, "Section"],

Cell[CellGroupData[{
Cell[8363, 234, 40, 0, 47, "Subsection"],
Cell[8406, 236, 1566, 28, 390, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10009, 269, 29, 0, 47, "Subsection"],
Cell[10041, 271, 2587, 50, 590, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[12677, 327, 39, 0, 53, "Section"],
Cell[12719, 329, 282, 5, 70, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[13038, 339, 35, 0, 53, "Section"],
Cell[13076, 341, 706, 12, 190, "Input"],
Cell[13785, 355, 1273, 24, 310, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[15095, 384, 51, 0, 53, "Section"],
Cell[15149, 386, 1633, 28, 410, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[16819, 419, 125, 3, 74, "Section"],
Cell[16947, 424, 558, 9, 150, "Input"],
Cell[17508, 435, 89, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[17634, 441, 108, 3, 74, "Section"],

Cell[CellGroupData[{
Cell[17767, 448, 158, 3, 66, "Subsection"],
Cell[17928, 453, 8193, 151, 1930, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[26170, 610, 68, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[26263, 614, 36, 0, 47, "Subsection"],
Cell[26302, 616, 1232, 23, 310, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[27571, 644, 61, 0, 47, "Subsection"],
Cell[27635, 646, 951, 18, 230, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[28635, 670, 50, 0, 53, "Section"],
Cell[28688, 672, 1953, 40, 470, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30678, 717, 67, 0, 53, "Section"],

Cell[CellGroupData[{
Cell[30770, 721, 72, 0, 47, "Subsection"],
Cell[30845, 723, 982, 19, 270, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31864, 747, 61, 0, 47, "Subsection"],
Cell[31928, 749, 1504, 27, 370, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[33481, 782, 121, 3, 53, "Section"],

Cell[CellGroupData[{
Cell[33627, 789, 55, 0, 47, "Subsection"],
Cell[33685, 791, 4379, 87, 1070, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[38113, 884, 119, 3, 53, "Section"],

Cell[CellGroupData[{
Cell[38257, 891, 55, 0, 47, "Subsection"],
Cell[38315, 893, 4390, 87, 1070, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[42766, 987, 49, 0, 105, "Title"],

Cell[CellGroupData[{
Cell[42840, 991, 69, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[42934, 995, 55, 0, 43, "Subsubsection"],
Cell[42992, 997, 215, 5, 50, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[43256, 1008, 116, 3, 66, "Subsection"],

Cell[CellGroupData[{
Cell[43397, 1015, 69, 0, 43, "Subsubsection"],
Cell[43469, 1017, 666, 11, 210, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44172, 1033, 33, 0, 43, "Subsubsection"],
Cell[44208, 1035, 35, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[44280, 1041, 49, 0, 43, "Subsubsection"],
Cell[44332, 1043, 1444, 26, 410, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[45813, 1074, 55, 0, 43, "Subsubsection"],
Cell[45871, 1076, 54, 1, 30, "Input"],
Cell[45928, 1079, 68, 1, 30, "Input"],
Cell[45999, 1082, 49, 1, 30, "Input"],
Cell[46051, 1085, 48, 1, 30, "Input"],
Cell[46102, 1088, 67, 1, 30, "Input"],
Cell[46172, 1091, 63, 1, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[46284, 1098, 217, 5, 85, "Subsection"],

Cell[CellGroupData[{
Cell[46526, 1107, 49, 0, 43, "Subsubsection"],
Cell[46578, 1109, 1818, 31, 410, "Input"],
Cell[48399, 1142, 1886, 32, 450, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[50322, 1179, 55, 0, 43, "Subsubsection"],
Cell[50380, 1181, 73, 1, 30, "Input"],
Cell[50456, 1184, 73, 1, 30, "Input"],
Cell[50532, 1187, 67, 1, 30, "Input"],
Cell[50602, 1190, 88, 1, 30, "Input"],
Cell[50693, 1193, 67, 1, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[50809, 1200, 141, 4, 85, "Subsection"],

Cell[CellGroupData[{
Cell[50975, 1208, 49, 0, 43, "Subsubsection"],
Cell[51027, 1210, 1757, 29, 410, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[52821, 1244, 55, 0, 43, "Subsubsection"],
Cell[52879, 1246, 48, 1, 30, "Input"],
Cell[52930, 1249, 86, 1, 30, "Input"],
Cell[53019, 1252, 83, 1, 30, "Input"],
Cell[53105, 1255, 563, 9, 170, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[53717, 1270, 118, 4, 85, "Subsection"],

Cell[CellGroupData[{
Cell[53860, 1278, 49, 0, 43, "Subsubsection"],
Cell[53912, 1280, 2389, 41, 630, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[56338, 1326, 55, 0, 43, "Subsubsection"],
Cell[56396, 1328, 40, 1, 30, "Input"],
Cell[56439, 1331, 53, 1, 30, "Input"],
Cell[56495, 1334, 55, 1, 30, "Input"],
Cell[56553, 1337, 55, 1, 30, "Input"],
Cell[56611, 1340, 65, 1, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[56725, 1347, 207, 5, 104, "Subsection"],

Cell[CellGroupData[{
Cell[56957, 1356, 49, 0, 43, "Subsubsection"],
Cell[57009, 1358, 610, 12, 210, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[57656, 1375, 55, 0, 43, "Subsubsection"],
Cell[57714, 1377, 186, 3, 70, "Input"],
Cell[57903, 1382, 43, 1, 30, "Input"],
Cell[57949, 1385, 46, 1, 30, "Input"],
Cell[57998, 1388, 80, 1, 30, "Input"],
Cell[58081, 1391, 34, 1, 30, "Input"],
Cell[58118, 1394, 107, 2, 30, "Input"],
Cell[58228, 1398, 143, 2, 50, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[58420, 1406, 215, 5, 104, "Subsection"],

Cell[CellGroupData[{
Cell[58660, 1415, 49, 0, 43, "Subsubsection"],
Cell[58712, 1417, 1862, 34, 570, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[60611, 1456, 54, 0, 43, "Subsubsection"],
Cell[60668, 1458, 524, 9, 150, "Input"],
Cell[61195, 1469, 85, 1, 30, "Input"],
Cell[61283, 1472, 78, 1, 30, "Input"],
Cell[61364, 1475, 78, 1, 30, "Input"],
Cell[61445, 1478, 78, 1, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[61572, 1485, 249, 6, 123, "Subsection"],

Cell[CellGroupData[{
Cell[61846, 1495, 49, 0, 43, "Subsubsection"],
Cell[61898, 1497, 2348, 41, 730, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[64283, 1543, 55, 0, 43, "Subsubsection"],
Cell[64341, 1545, 114, 2, 30, "Input"],
Cell[64458, 1549, 114, 2, 30, "Input"],
Cell[64575, 1553, 114, 2, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[64738, 1561, 66, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[64829, 1565, 50, 0, 43, "Subsubsection"],
Cell[64882, 1567, 7498, 126, 1870, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72417, 1698, 54, 0, 43, "Subsubsection"],
Cell[72474, 1700, 56, 1, 30, "Input"],
Cell[72533, 1703, 73, 1, 30, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[72643, 1709, 50, 0, 43, "Subsubsection"],
Cell[72696, 1711, 5009, 90, 1330, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[77742, 1806, 55, 0, 43, "Subsubsection"],
Cell[77800, 1808, 64, 1, 30, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[77913, 1815, 35, 0, 47, "Subsection"],

Cell[CellGroupData[{
Cell[77973, 1819, 33, 0, 43, "Subsubsection"],
Cell[78009, 1821, 5062, 85, 1290, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[83108, 1911, 34, 0, 43, "Subsubsection"],
Cell[83145, 1913, 158, 2, 50, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[83364, 1922, 21, 0, 105, "Title"],

Cell[CellGroupData[{
Cell[83410, 1926, 253, 4, 85, "Subsection"],
Cell[83666, 1932, 254, 4, 70, "Input"],
Cell[83923, 1938, 12646, 247, 3090, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)




(***********************************************************************
End of Mathematica Notebook file.
***********************************************************************)

